<?php
/**
 * Foursquare Stream Form Page
 *
 * @version 1.0
 * @package WP Social Stream Designer PRO
 */

$foursquare_stream = get_option( 'foursquare_stream' );
if ( $foursquare_stream ) {
	$foursquare_access_token = $foursquare_stream['foursquare_access_token'] ? $foursquare_stream['foursquare_access_token'] : '';
} else {
	$foursquare_access_token = '';
}
?>
<div class="inside">
	<h2>
	<?php
	echo esc_html( 'Foursquare Stream ' );
	esc_html_e( 'Settings', 'social-stream-designer' );
	?>
	</h2>
	<table class="form-table">
		<tbody>
			<tr>
				<td><?php echo esc_html( 'Access Token' ); ?></td>
				<td>
					<input type="text" required="required" id="foursquare_access_token" class="foursquare_access_token" name="foursquare_stream[foursquare_access_token]" value="<?php echo esc_attr( $foursquare_access_token ); ?>">
					<p class="description"><a target="_blank" href='https://foursquare.com/developers/register'><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a> <?php esc_html_e( "to register app in foursquare and then to get 'Foursquare Access Token' you can follow these", 'social-stream-designer' ); ?> <a target="_blank" href="https://developer.foursquare.com/docs/api/configuration/authentication"><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a>
					</p>
				</td>
			</tr>
			<tr>
				<td><?php submit_button(); ?></td>
			</tr>
		</tbody>
	</table>
</div>
