<?php
/**
 * SoundCloud Stream Form Page
 *
 * @version 1.0
 * @package WP Social Stream Designer PRO
 */

$soundcloud_stream = get_option( 'soundcloud_stream' );
if ( $soundcloud_stream ) {
	$soundcloud_access_token = $soundcloud_stream['soundcloud_access_token'] ? $soundcloud_stream['soundcloud_access_token'] : '';
} else {
	$soundcloud_access_token = '';
}
?>
<div class="inside">
	<h2>
	<?php
	echo esc_html( 'SoundCloud Stream ' );
	esc_html_e( 'Settings', 'social-stream-designer' );
	?>
	</h2>
	<table class="form-table">
		<tbody>
			<tr>
				<td><?php echo esc_html( 'App Client ID' ); ?></td>
				<td>
					<input type="text" required="required" id="soundcloud_access_token" class="soundcloud_access_token" name="soundcloud_stream[soundcloud_access_token]" value="<?php echo esc_attr( $soundcloud_access_token ); ?>">
					<p class="description"><a target="_blank" href='http://soundcloud.com/you/apps/new'><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a> <?php esc_html_e( "to register app in soundcloud and then to get 'Soundcloud Access Token' you can follow these", 'social-stream-designer' ); ?> <a target="_blank" href="https://socialstreamdesigner.solwininfotech.com/docs/how-to-get-soundcloud-api/"><?php esc_html_e( 'Click here', 'social-stream-designer' ); ?></a>
					</p>
				</td>
			</tr>
			<tr>
				<td><?php submit_button(); ?></td>
			</tr>
		</tbody>
	</table>
</div>
