<?php
	/**
	 * File to Preview
	 *
	 * @version 1.0
	 * @package WP Social Stream Designer PRO
	 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$preview_data = array();
if ( isset( $_POST['nonce'] ) ) {
	$nonce = sanitize_text_field( wp_unslash( $_POST['nonce'] ) );
	if ( ! wp_verify_nonce( $nonce, 'ajax-nonce' ) ) {
		wp_send_json_error( array( 'ssd_preview' => 'Nonce error' ) );
		die();
	}
}
if ( isset( $_POST['settings'] ) ) {
	parse_str( $_POST['settings'], $preview_data );
}
if ( isset( $preview_data['ssd_nonce'] ) && wp_verify_nonce( sanitize_text_field( wp_unslash( $preview_data['ssd_nonce'] ) ), 'social-stream-designer_meta_box_nonce' ) ) {
	$ssd_preview_data = $preview_data['ssd'];
	if ( isset( $preview_data['feed_ids'] ) ) {
		$feed_ids = $preview_data['feed_ids'];
		$feed_ids = array_values( $feed_ids );
		$feed_ids = implode( ',', $feed_ids );
	}

	// Get pagination options.
	$no_of_posts_per_page  = ( isset( $ssd_preview_data['ssd_no_of_posts_per_page'] ) && $ssd_preview_data['ssd_no_of_posts_per_page'] > 1 ) ? $ssd_preview_data['ssd_no_of_posts_per_page'] : 6;
	$total_number_of_posts = ( isset( $ssd_preview_data['ssd_no_of_posts'] ) && $ssd_preview_data['ssd_no_of_posts'] > 1 ) ? $ssd_preview_data['ssd_no_of_posts'] : '-1';
	$cur_page              = ( isset( $_REQUEST['cur_page'] ) && sanitize_text_field( wp_unslash( $_REQUEST['cur_page'] ) ) > 0 ) ? sanitize_text_field( wp_unslash( $_REQUEST['cur_page'] ) ) : 1;
	$ssd_pagination_type   = 'no_pagination';
	$ssd_design_layout     = isset( $ssd_preview_data['ssd_design_layout'] ) ? $ssd_preview_data['ssd_design_layout'] : '';
	$layout                = isset( $ssd_preview_data['ssd_layout'] ) ? $ssd_preview_data['ssd_layout'] : 'listing';
	$ssd_order             = isset( $ssd_preview_data['ssd_display_order'] ) ? $ssd_preview_data['ssd_display_order'] : 0;
	$ssd_order_by          = isset( $ssd_preview_data['ssd_order_by'] ) ? $ssd_preview_data['ssd_order_by'] : 'date';
	$ssd_display_filter    = isset( $ssd_preview_data['ssd_display_filter'] ) ? $ssd_preview_data['ssd_display_filter'] : 0;
	$ssd_grid_style        = isset( $ssd_preview_data['ssd_grid_style'] ) ? $ssd_preview_data['ssd_grid_style'] : 'masonry';
	if ( 'layout-4' !== $ssd_design_layout ) {
		$ssd_grid_style = 'masonry';
	}
	if ( 'listing' !== $layout ) {
		$ssd_grid_style = '';
	}
	$ssd_display_feed_without_media  = isset( $ssd_preview_data['ssd_display_feed_without_media'] ) ? $ssd_preview_data['ssd_display_feed_without_media'] : 1;
	$ssd_justified_grid_height       = isset( $ssd_preview_data['ssd_justified_grid_height'] ) ? $ssd_preview_data['ssd_justified_grid_height'] : '200';
	$ssd_column_type                 = isset( $ssd_preview_data['ssd_column_type'] ) ? $ssd_preview_data['ssd_column_type'] : 3;
	$ssd_column_type_vertical        = isset( $ssd_preview_data['ssd_column_type_vertical'] ) ? $ssd_preview_data['ssd_column_type_vertical'] : 3;
	$ssd_display_slider_nav          = isset( $ssd_preview_data['ssd_display_slider_nav'] ) ? $ssd_preview_data['ssd_display_slider_nav'] : 1;
	$ssd_display_autoplay            = isset( $ssd_preview_data['ssd_display_autoplay'] ) ? $ssd_preview_data['ssd_display_autoplay'] : 0;
	$ssd_display_slider_playpause    = isset( $ssd_preview_data['ssd_display_slider_playpause'] ) ? $ssd_preview_data['ssd_display_slider_playpause'] : 1;
	$ssd_slider_interval             = isset( $ssd_preview_data['ssd_slider_interval'] ) ? $ssd_preview_data['ssd_slider_interval'] : 3000;
	$ssd_slider_speed                = isset( $ssd_preview_data['ssd_slider_speed'] ) ? $ssd_preview_data['ssd_slider_speed'] : 3000;
	$ssd_display_media_slider_arrows = isset( $ssd_preview_data['ssd_display_media_slider_arrows'] ) ? $ssd_preview_data['ssd_display_media_slider_arrows'] : 0;
	$ssd_display_media_autoplay      = isset( $ssd_preview_data['ssd_display_media_autoplay'] ) ? $ssd_preview_data['ssd_display_media_autoplay'] : 0;
	$ssd_slider_media_interval       = isset( $ssd_preview_data['ssd_slider_media_interval'] ) ? $ssd_preview_data['ssd_slider_media_interval'] : 3000;
	$ssd_slider_media_speed          = isset( $ssd_preview_data['ssd_slider_media_speed'] ) ? $ssd_preview_data['ssd_slider_media_speed'] : 3000;
	$ssd_slider_direction            = isset( $ssd_preview_data['ssd_slider_direction'] ) ? $ssd_preview_data['ssd_slider_direction'] : 'horizontal';
	$ssd_slider_width                = isset( $ssd_preview_data['ssd_slider_width'] ) ? $ssd_preview_data['ssd_slider_width'] : '800';
	$total_feed_count                = '';
	$ssd_stream_title                = isset( $ssd_preview_data['ssd_stream_title'] ) ? $ssd_preview_data['ssd_stream_title'] : '';
	$ssd_stream_subtitle             = isset( $ssd_preview_data['ssd_stream_subtitle'] ) ? $ssd_preview_data['ssd_stream_subtitle'] : '';
	$ssd_heading_alignment           = isset( $ssd_preview_data['ssd_heading_alignment'] ) ? $ssd_preview_data['ssd_heading_alignment'] : 'center';
	$ssd_display_feed_without_media  = (int) $ssd_display_feed_without_media;
	$ssd_display_media_autoplay      = (int) $ssd_display_media_autoplay;
	$ssd_display_media_slider_arrows = (int) $ssd_display_media_slider_arrows;
	$ssd_display_slider_nav          = (int) $ssd_display_slider_nav;
	$ssd_display_autoplay            = (int) $ssd_display_autoplay;
	$ssd_display_slider_playpause    = (int) $ssd_display_slider_playpause;
	if ( ( 'listing' === $layout || 'timeline' === $layout ) && '0' == $ssd_display_filter ) {
		$ssd_pagination_type = isset( $ssd_preview_data['ssd_pagination_type'] ) ? $ssd_preview_data['ssd_pagination_type'] : 'no_pagination';
	}
	$ssd_share_type                 = isset( $ssd_preview_data['ssd_social_share_type'] ) ? $ssd_preview_data['ssd_social_share_type'] : 'text';
	$ssd_design_layout              = isset( $ssd_preview_data['ssd_design_layout'] ) ? $ssd_preview_data['ssd_design_layout'] : '';
	$ssd_custom_css                 = isset( $ssd_preview_data['ssd_custom_css'] ) ? $ssd_preview_data['ssd_custom_css'] : '';
	$ssd_theme_color                = isset( $ssd_preview_data['ssd_theme_color'] ) ? $ssd_preview_data['ssd_theme_color'] : '';
	$ssd_overlay_bg_color           = isset( $ssd_preview_data['ssd_overlay_bg_color'] ) ? $ssd_preview_data['ssd_overlay_bg_color'] : '';
	$ssd_card_overlay_bg_color      = isset( $ssd_preview_data['ssd_card_overlay_bg_color'] ) ? $ssd_preview_data['ssd_card_overlay_bg_color'] : '';
	$ssd_overlay_padding_top        = isset( $ssd_preview_data['ssd_overlay_padding_top'] ) && '' !== $ssd_preview_data['ssd_overlay_padding_top'] ? $ssd_preview_data['ssd_overlay_padding_top'] : '10';
	$ssd_overlay_padding_bottom     = isset( $ssd_preview_data['ssd_overlay_padding_bottom'] ) && '' !== $ssd_preview_data['ssd_overlay_padding_bottom'] ? $ssd_preview_data['ssd_overlay_padding_bottom'] : '10';
	$ssd_overlay_padding_left       = isset( $ssd_preview_data['ssd_overlay_padding_left'] ) && '' !== $ssd_preview_data['ssd_overlay_padding_left'] ? $ssd_preview_data['ssd_overlay_padding_left'] : '15';
	$ssd_overlay_padding_right      = isset( $ssd_preview_data['ssd_overlay_padding_right'] ) && '' !== $ssd_preview_data['ssd_overlay_padding_right'] ? $ssd_preview_data['ssd_overlay_padding_right'] : '15';
	$ssd_card_background_color      = isset( $ssd_preview_data['ssd_card_background_color'] ) ? $ssd_preview_data['ssd_card_background_color'] : '';
	$ssd_card_box_hoffset           = isset( $ssd_preview_data['ssd_card_box_hoffset'] ) ? $ssd_preview_data['ssd_card_box_hoffset'] : '0';
	$ssd_card_box_voffset           = isset( $ssd_preview_data['ssd_card_box_voffset'] ) ? $ssd_preview_data['ssd_card_box_voffset'] : '0';
	$ssd_card_box_blur              = isset( $ssd_preview_data['ssd_card_box_blur'] ) ? $ssd_preview_data['ssd_card_box_blur'] : '0';
	$ssd_card_box_spread            = isset( $ssd_preview_data['ssd_card_box_spread'] ) ? $ssd_preview_data['ssd_card_box_spread'] : '0';
	$ssd_card_box_shadow            = isset( $ssd_preview_data['ssd_card_box_shadow'] ) ? $ssd_preview_data['ssd_card_box_shadow'] : '';
	$ssd_card_border_radius         = isset( $ssd_preview_data['ssd_card_border_radius'] ) ? $ssd_preview_data['ssd_card_border_radius'] : '';
	$ssd_card_border_radius_type    = isset( $ssd_preview_data['ssd_card_border_radius_type'] ) ? $ssd_preview_data['ssd_card_border_radius_type'] : '';
	$ssd_card_border_top_width      = isset( $ssd_preview_data['ssd_card_border_top_width'] ) ? $ssd_preview_data['ssd_card_border_top_width'] : '';
	$ssd_card_border_top_type       = isset( $ssd_preview_data['ssd_card_border_top_type'] ) ? $ssd_preview_data['ssd_card_border_top_type'] : '';
	$ssd_card_border_top_color      = isset( $ssd_preview_data['ssd_card_border_top_color'] ) ? $ssd_preview_data['ssd_card_border_top_color'] : '';
	$ssd_card_border_bottom_width   = isset( $ssd_preview_data['ssd_card_border_bottom_width'] ) ? $ssd_preview_data['ssd_card_border_bottom_width'] : '';
	$ssd_card_border_bottom_type    = isset( $ssd_preview_data['ssd_card_border_bottom_type'] ) ? $ssd_preview_data['ssd_card_border_bottom_type'] : '';
	$ssd_card_border_bottom_color   = isset( $ssd_preview_data['ssd_card_border_bottom_color'] ) ? $ssd_preview_data['ssd_card_border_bottom_color'] : '';
	$ssd_card_border_left_width     = isset( $ssd_preview_data['ssd_card_border_left_width'] ) ? $ssd_preview_data['ssd_card_border_left_width'] : '';
	$ssd_card_border_left_type      = isset( $ssd_preview_data['ssd_card_border_left_type'] ) ? $ssd_preview_data['ssd_card_border_left_type'] : '';
	$ssd_card_border_left_color     = isset( $ssd_preview_data['ssd_card_border_left_color'] ) ? $ssd_preview_data['ssd_card_border_left_color'] : '';
	$ssd_card_border_right_width    = isset( $ssd_preview_data['ssd_card_border_right_width'] ) ? $ssd_preview_data['ssd_card_border_right_width'] : '';
	$ssd_card_border_right_type     = isset( $ssd_preview_data['ssd_card_border_right_type'] ) ? $ssd_preview_data['ssd_card_border_right_type'] : '';
	$ssd_card_border_right_color    = isset( $ssd_preview_data['ssd_card_border_right_color'] ) ? $ssd_preview_data['ssd_card_border_right_color'] : '';
	$ssd_text_border_radius         = isset( $ssd_preview_data['ssd_text_border_radius'] ) ? $ssd_preview_data['ssd_text_border_radius'] : '';
	$ssd_text_border_radius_type    = isset( $ssd_preview_data['ssd_text_border_radius_type'] ) ? $ssd_preview_data['ssd_text_border_radius_type'] : '';
	$ssd_icon_alignment             = isset( $ssd_preview_data['ssd_icon_alignment'] ) ? $ssd_preview_data['ssd_icon_alignment'] : '';
	$ssd_icon_border_radius         = isset( $ssd_preview_data['ssd_icon_border_radius'] ) ? $ssd_preview_data['ssd_icon_border_radius'] : '';
	$ssd_icon_border_radius_type    = isset( $ssd_preview_data['ssd_icon_border_radius_type'] ) ? $ssd_preview_data['ssd_icon_border_radius_type'] : '';
	$ssd_icon_color                 = isset( $ssd_preview_data['ssd_icon_color'] ) ? $ssd_preview_data['ssd_icon_color'] : '';
	$ssd_icon_bg_color              = isset( $ssd_preview_data['ssd_icon_bg_color'] ) ? $ssd_preview_data['ssd_icon_bg_color'] : '';
	$ssd_title_font_size            = isset( $ssd_preview_data['ssd_title_font_size'] ) ? $ssd_preview_data['ssd_title_font_size'] : '';
	$ssd_title_color                = isset( $ssd_preview_data['ssd_title_color'] ) ? $ssd_preview_data['ssd_title_color'] : '';
	$ssd_display_title_link         = isset( $ssd_preview_data['ssd_display_title_link'] ) ? $ssd_preview_data['ssd_display_title_link'] : '1';
	$ssd_title_hover_color          = isset( $ssd_preview_data['ssd_title_hover_color'] ) ? $ssd_preview_data['ssd_title_hover_color'] : '';
	$ssd_title_bg_color             = isset( $ssd_preview_data['ssd_title_bg_color'] ) ? $ssd_preview_data['ssd_title_bg_color'] : '';
	$ssd_title_padding_top          = isset( $ssd_preview_data['ssd_title_padding_top'] ) ? $ssd_preview_data['ssd_title_padding_top'] : '';
	$ssd_title_padding_bottom       = isset( $ssd_preview_data['ssd_title_padding_bottom'] ) ? $ssd_preview_data['ssd_title_padding_bottom'] : '';
	$ssd_title_margin_top           = isset( $ssd_preview_data['ssd_title_margin_top'] ) ? $ssd_preview_data['ssd_title_margin_top'] : '';
	$ssd_title_margin_bottom        = isset( $ssd_preview_data['ssd_title_margin_bottom'] ) ? $ssd_preview_data['ssd_title_margin_bottom'] : '';
	$ssd_title_font_weight          = isset( $ssd_preview_data['ssd_title_font_weight'] ) ? $ssd_preview_data['ssd_title_font_weight'] : '';
	$ssd_content_font_size          = isset( $ssd_preview_data['ssd_content_font_size'] ) ? $ssd_preview_data['ssd_content_font_size'] : '';
	$ssd_content_color              = isset( $ssd_preview_data['ssd_content_color'] ) ? $ssd_preview_data['ssd_content_color'] : '';
	$ssd_content_hover_color        = isset( $ssd_preview_data['ssd_content_hover_color'] ) ? $ssd_preview_data['ssd_content_hover_color'] : '';
	$ssd_content_bg_color           = isset( $ssd_preview_data['ssd_content_bg_color'] ) ? $ssd_preview_data['ssd_content_bg_color'] : '';
	$ssd_content_padding_top        = isset( $ssd_preview_data['ssd_content_padding_top'] ) ? $ssd_preview_data['ssd_content_padding_top'] : '';
	$ssd_content_padding_bottom     = isset( $ssd_preview_data['ssd_content_padding_bottom'] ) ? $ssd_preview_data['ssd_content_padding_bottom'] : '';
	$ssd_content_margin_top         = isset( $ssd_preview_data['ssd_content_margin_top'] ) ? $ssd_preview_data['ssd_content_margin_top'] : '';
	$ssd_content_margin_bottom      = isset( $ssd_preview_data['ssd_content_margin_bottom'] ) ? $ssd_preview_data['ssd_content_margin_bottom'] : '';
	$ssd_image_margin_top           = isset( $ssd_preview_data['ssd_image_margin_top'] ) ? $ssd_preview_data['ssd_image_margin_top'] : '';
	$ssd_image_margin_bottom        = isset( $ssd_preview_data['ssd_image_margin_bottom'] ) ? $ssd_preview_data['ssd_image_margin_bottom'] : '';
	$ssd_author_margin_top          = isset( $ssd_preview_data['ssd_author_margin_top'] ) ? $ssd_preview_data['ssd_author_margin_top'] : '';
	$ssd_author_margin_bottom       = isset( $ssd_preview_data['ssd_author_margin_bottom'] ) ? $ssd_preview_data['ssd_author_margin_bottom'] : '';
	$ssd_author_padding_top         = isset( $ssd_preview_data['ssd_author_padding_top'] ) ? $ssd_preview_data['ssd_author_padding_top'] : '';
	$ssd_author_padding_bottom      = isset( $ssd_preview_data['ssd_author_padding_bottom'] ) ? $ssd_preview_data['ssd_author_padding_bottom'] : '';
	$ssd_author_border_radius       = isset( $ssd_preview_data['ssd_author_border_radius'] ) ? $ssd_preview_data['ssd_author_border_radius'] : '';
	$ssd_author_border_radius_type  = isset( $ssd_preview_data['ssd_author_border_radius_type'] ) ? $ssd_preview_data['ssd_author_border_radius_type'] : '';
	$ssd_author_title_color         = isset( $ssd_preview_data['ssd_author_title_color'] ) ? $ssd_preview_data['ssd_author_title_color'] : '';
	$ssd_author_bg_color            = isset( $ssd_preview_data['ssd_author_bg_color'] ) ? $ssd_preview_data['ssd_author_bg_color'] : '';
	$ssd_author_title_hover_color   = isset( $ssd_preview_data['ssd_author_title_hover_color'] ) ? $ssd_preview_data['ssd_author_title_hover_color'] : '';
	$ssd_author_meta_color          = isset( $ssd_preview_data['ssd_author_meta_color'] ) ? $ssd_preview_data['ssd_author_meta_color'] : '';
	$ssd_count_meta_color           = isset( $ssd_preview_data['ssd_count_meta_color'] ) ? $ssd_preview_data['ssd_count_meta_color'] : '';
	$ssd_count_padding_top          = isset( $ssd_preview_data['ssd_count_padding_top'] ) ? $ssd_preview_data['ssd_count_padding_top'] : '0';
	$ssd_count_padding_bottom       = isset( $ssd_preview_data['ssd_count_padding_bottom'] ) ? $ssd_preview_data['ssd_count_padding_bottom'] : '0';
	$ssd_count_margin_top           = isset( $ssd_preview_data['ssd_count_margin_top'] ) ? $ssd_preview_data['ssd_count_margin_top'] : '0';
	$ssd_count_margin_bottom        = isset( $ssd_preview_data['ssd_count_margin_bottom'] ) ? $ssd_preview_data['ssd_count_margin_bottom'] : '0';
	$ssd_count_bg_color             = isset( $ssd_preview_data['ssd_count_bg_color'] ) ? $ssd_preview_data['ssd_count_bg_color'] : '';
	$ssd_count_meta_hover_color     = isset( $ssd_preview_data['ssd_count_meta_hover_color'] ) ? $ssd_preview_data['ssd_count_meta_hover_color'] : '';
	$ssd_count_border_top_width     = isset( $ssd_preview_data['ssd_count_border_top_width'] ) ? $ssd_preview_data['ssd_count_border_top_width'] : '';
	$ssd_count_border_top_type      = isset( $ssd_preview_data['ssd_count_border_top_type'] ) ? $ssd_preview_data['ssd_count_border_top_type'] : '';
	$ssd_count_border_top_color     = isset( $ssd_preview_data['ssd_count_border_top_color'] ) ? $ssd_preview_data['ssd_count_border_top_color'] : '';
	$ssd_count_border_bottom_width  = isset( $ssd_preview_data['ssd_count_border_bottom_width'] ) ? $ssd_preview_data['ssd_count_border_bottom_width'] : '';
	$ssd_count_border_bottom_type   = isset( $ssd_preview_data['ssd_count_border_bottom_type'] ) ? $ssd_preview_data['ssd_count_border_bottom_type'] : '';
	$ssd_count_border_bottom_color  = isset( $ssd_preview_data['ssd_count_border_bottom_color'] ) ? $ssd_preview_data['ssd_count_border_bottom_color'] : '';
	$ssd_count_border_right_type    = isset( $ssd_preview_data['ssd_count_border_right_type'] ) ? $ssd_preview_data['ssd_count_border_right_type'] : '';
	$ssd_count_border_right_color   = isset( $ssd_preview_data['ssd_count_border_right_color'] ) ? $ssd_preview_data['ssd_count_border_right_color'] : '';
	$ssd_count_border_right_width   = isset( $ssd_preview_data['ssd_count_border_right_width'] ) ? $ssd_preview_data['ssd_count_border_right_width'] : '';
	$ssd_count_border_left_type     = isset( $ssd_preview_data['ssd_count_border_left_type'] ) ? $ssd_preview_data['ssd_count_border_left_type'] : '';
	$ssd_count_border_left_color    = isset( $ssd_preview_data['ssd_count_border_left_color'] ) ? $ssd_preview_data['ssd_count_border_left_color'] : '';
	$ssd_count_border_left_width    = isset( $ssd_preview_data['ssd_count_border_left_width'] ) ? $ssd_preview_data['ssd_count_border_left_width'] : '';
	$ssd_column_type_laptop         = isset( $ssd_preview_data['ssd_column_type_laptop'] ) ? $ssd_preview_data['ssd_column_type_laptop'] : 3;
	$ssd_column_type_rotated_tablet = isset( $ssd_preview_data['ssd_column_type_rotated_tablet'] ) ? $ssd_preview_data['ssd_column_type_rotated_tablet'] : 3;
	$ssd_column_type_tablet         = isset( $ssd_preview_data['ssd_column_type_tablet'] ) ? $ssd_preview_data['ssd_column_type_tablet'] : 2;
	$ssd_column_type_rotated_mobile = isset( $ssd_preview_data['ssd_column_type_rotated_mobile'] ) ? $ssd_preview_data['ssd_column_type_rotated_mobile'] : 1;
	$ssd_column_type_mobile         = isset( $ssd_preview_data['ssd_column_type_mobile'] ) ? $ssd_preview_data['ssd_column_type_mobile'] : 1;
	$ssd_heading_color              = isset( $ssd_preview_data['ssd_heading_color'] ) ? $ssd_preview_data['ssd_heading_color'] : '';
	$ssd_heading_alignment          = isset( $ssd_preview_data['ssd_heading_alignment'] ) ? $ssd_preview_data['ssd_heading_alignment'] : 'center';
	$ssd_subheading_color           = isset( $ssd_preview_data['ssd_subheading_color'] ) ? $ssd_preview_data['ssd_subheading_color'] : '';
	$ssd_heading_bg_color           = isset( $ssd_preview_data['ssd_heading_bg_color'] ) ? $ssd_preview_data['ssd_heading_bg_color'] : '';
	$ssd_display_search              = isset( $ssd_preview_data['ssd_display_search'] ) ? $ssd_preview_data['ssd_display_search'] : 0;
	$ssd_row_type                   = isset( $ssd_preview_data['ssd_row_type'] ) ? $ssd_preview_data['ssd_row_type'] : 1;
	$ssd_display_meta               = isset( $ssd_preview_data['ssd_display_meta'] ) ? $ssd_preview_data['ssd_display_meta'] : 1;
	$ssd_display_meta               = (int) $ssd_display_meta;
	$ssd_display_title_link         = (int) $ssd_display_title_link;
	?>
	<style>
	<?php echo wp_unslash( $ssd_custom_css ); ?>
	.sstrm-hed-wrp{width:auto;display:block}.ssdsos-wrp{width:calc(100% - 40px)}.ssdso-icn.ssddimg.twitter span.ssd_image_layout_1{background-position:-15px -20px}.ssdso-icn.ssddimg.facebook span.ssd_image_layout_1{background-position:-75px -20px}.ssdso-icn.ssddimg.youtube span.ssd_image_layout_1{background-position:-135px -20px}.ssdso-icn.ssddimg.vimeo span.ssd_image_layout_1{background-position:-195px -20px}.ssdso-icn.ssddimg.pinterest span.ssd_image_layout_1{background-position:-255px -20px}.ssdso-icn.ssddimg.flickr span.ssd_image_layout_1{background-position:-315px -20px}.ssdso-icn.ssddimg.instagram span.ssd_image_layout_1{background-position:-375px -20px}.ssdso-icn.ssddimg.WordPress span.ssd_image_layout_1{background-position:-435px -20px}.ssdso-icn.ssddimg.rss span.ssd_image_layout_1{background-position:-495px -20px}.ssdso-icn.ssddimg.tumblr span.ssd_image_layout_1{background-position:-555px -20px}.ssdso-icn.ssddimg.foursquare span.ssd_image_layout_1{background-position:-615px -20px}.ssdso-icn.ssddimg.linkedin span.ssd_image_layout_1{background-position:-675px -20px}.ssdso-icn.ssddimg.google span.ssd_image_layout_1{background-position:-735px -20px}.ssdso-icn.ssddimg.dribbble span.ssd_image_layout_1{background-position:-795px -20px}.ssdso-icn.ssddimg.soundcloud span.ssd_image_layout_1{background-position:-855px -20px}.ssdso-icn.ssddimg.twitter span.ssd_image_layout_2{background-position:-15px -80px}.ssdso-icn.ssddimg.facebook span.ssd_image_layout_2{background-position:-75px -80px}.ssdso-icn.ssddimg.youtube span.ssd_image_layout_2{background-position:-135px -80px}.ssdso-icn.ssddimg.vimeo span.ssd_image_layout_2{background-position:-195px -80px}.ssdso-icn.ssddimg.pinterest span.ssd_image_layout_2{background-position:-255px -80px}.ssdso-icn.ssddimg.flickr span.ssd_image_layout_2{background-position:-315px -80px}.ssdso-icn.ssddimg.instagram span.ssd_image_layout_2{background-position:-375px -80px}.ssdso-icn.ssddimg.WordPress span.ssd_image_layout_2{background-position:-435px -80px}.ssdso-icn.ssddimg.rss span.ssd_image_layout_2{background-position:-495px -80px}.ssdso-icn.ssddimg.tumblr span.ssd_image_layout_2{background-position:-555px -80px}.ssdso-icn.ssddimg.foursquare span.ssd_image_layout_2{background-position:-615px -80px}.ssdso-icn.ssddimg.linkedin span.ssd_image_layout_2{background-position:-675px -80px}.ssdso-icn.ssddimg.google span.ssd_image_layout_2{background-position:-735px -80px}.ssdso-icn.ssddimg.dribbble span.ssd_image_layout_2{background-position:-795px -80px}.ssdso-icn.ssddimg.soundcloud span.ssd_image_layout_2{background-position:-855px -80px}.ssdso-icn.ssddimg.twitter span.ssd_image_layout_3{background-position:-15px -140px}.ssdso-icn.ssddimg.facebook span.ssd_image_layout_3{background-position:-75px -140px}.ssdso-icn.ssddimg.youtube span.ssd_image_layout_3{background-position:-135px -140px}.ssdso-icn.ssddimg.vimeo span.ssd_image_layout_3{background-position:-195px -140px}.ssdso-icn.ssddimg.pinterest span.ssd_image_layout_3{background-position:-255px -140px}.ssdso-icn.ssddimg.flickr span.ssd_image_layout_3{background-position:-315px -140px}.ssdso-icn.ssddimg.instagram span.ssd_image_layout_3{background-position:-375px -140px}.ssdso-icn.ssddimg.WordPress span.ssd_image_layout_3{background-position:-435px -140px}.ssdso-icn.ssddimg.rss span.ssd_image_layout_3{background-position:-495px -140px}.ssdso-icn.ssddimg.tumblr span.ssd_image_layout_3{background-position:-555px -140px}.ssdso-icn.ssddimg.foursquare span.ssd_image_layout_3{background-position:-615px -140px}.ssdso-icn.ssddimg.linkedin span.ssd_image_layout_3{background-position:-675px -140px}.ssdso-icn.ssddimg.google span.ssd_image_layout_3{background-position:-735px -140px}.ssdso-icn.ssddimg.dribbble span.ssd_image_layout_3{background-position:-795px -140px}.ssdso-icn.ssddimg.soundcloud span.ssd_image_layout_3{background-position:-855px -140px}.ssdso-icn.ssddimg.twitter span.ssd_image_layout_4{background-position:-15px -200px}.ssdso-icn.ssddimg.facebook span.ssd_image_layout_4{background-position:-75px -200px}.ssdso-icn.ssddimg.youtube span.ssd_image_layout_4{background-position:-135px -200px}.ssdso-icn.ssddimg.vimeo span.ssd_image_layout_4{background-position:-195px -200px}.ssdso-icn.ssddimg.pinterest span.ssd_image_layout_4{background-position:-255px -200px}.ssdso-icn.ssddimg.flickr span.ssd_image_layout_4{background-position:-315px -200px}.ssdso-icn.ssddimg.instagram span.ssd_image_layout_4{background-position:-375px -200px}.ssdso-icn.ssddimg.WordPress span.ssd_image_layout_4{background-position:-435px -200px}.ssdso-icn.ssddimg.rss span.ssd_image_layout_4{background-position:-495px -200px}.ssdso-icn.ssddimg.tumblr span.ssd_image_layout_4{background-position:-555px -200px}.ssdso-icn.ssddimg.foursquare span.ssd_image_layout_4{background-position:-615px -200px}.ssdso-icn.ssddimg.linkedin span.ssd_image_layout_4{background-position:-675px -200px}.ssdso-icn.ssddimg.google span.ssd_image_layout_4{background-position:-735px -200px}.ssdso-icn.ssddimg.dribbble span.ssd_image_layout_4{background-position:-795px -200px}.ssdso-icn.ssddimg.soundcloud span.ssd_image_layout_4{background-position:-855px -200px}
	<?php if ( '' !== $ssd_card_overlay_bg_color ) { ?>
		.ssdsos-wrp .ssd_overlay_div{
			background:<?php echo esc_attr( $ssd_card_overlay_bg_color ); ?>
		}
		.ssdsos-wrp .ssd-dialog-widget .ui-widget-header,.ssdsos-wrp .ssd-dialog-widget.ui-dialog .ui-dialog-content{
			background:<?php echo esc_attr( $ssd_card_overlay_bg_color ); ?>
		}
		.ssdsos-wrp .ssd-dialog-widget.ui-widget.ui-widget-content{
			border: 1px solid <?php echo esc_attr( $ssd_card_overlay_bg_color ); ?>;
		}
		<?php if ( 'layout-4' === $ssd_design_layout ) { ?>
			.ssdsos-wrp .ui-dialog{
				background:rgba(0, 0, 0, 0.84);
			}
			<?php
		}
	}
	if ( '' !== $ssd_heading_color ) {
		?>
		.sstrm-hed-wrp .ssd-steam-title-wrap h1 {
			color:<?php echo esc_attr( $ssd_heading_color ); ?>;
		}
		<?php
	}
	if ( '' !== $ssd_subheading_color ) {
		?>
		.sstrm-hed-wrp .ssd-steam-sub-title-wrap h4 {
			color:<?php echo esc_attr( $ssd_subheading_color ); ?>;
		}
		<?php
	}
	if ( '' !== $ssd_heading_alignment ) {
		?>
		.ssd-steam-title-wrap,.ssd-steam-sub-title-wrap {
			text-align:<?php echo esc_attr( $ssd_heading_alignment ); ?>;
		}
		<?php
	}
	if ( '' !== $ssd_heading_bg_color ) {
		?>
		.sstrm-hed-wrp {
			background:<?php echo esc_attr( $ssd_heading_bg_color ); ?>;
		<?php if ( '' !== $ssd_overlay_padding_bottom && $ssd_overlay_padding_bottom >= 0 ) { ?>
				padding-bottom:<?php echo esc_attr( $ssd_overlay_padding_bottom ); ?>px;
			<?php
		}
		if ( '' !== $ssd_overlay_padding_top && $ssd_overlay_padding_top >= 0 ) {
			?>
		padding-top:<?php echo esc_attr( $ssd_overlay_padding_top ); ?>px;
			<?php
		}
		if ( '' !== $ssd_overlay_padding_left && $ssd_overlay_padding_left >= 0 ) {
			?>
		padding-left:<?php echo esc_attr( $ssd_overlay_padding_left ); ?>px;
			<?php
		}
		if ( '' !== $ssd_overlay_padding_right && $ssd_overlay_padding_right >= 0 ) {
			?>
			padding-right:<?php echo esc_attr( $ssd_overlay_padding_right ); ?>px;
			<?php
		}
		?>
		}
		<?php
	}
	if ( '' !== $ssd_theme_color ) {
		?>
		.ssdsos-wrp .ssd_lmp_products_loading .ssd_lmp_rotate {
			color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		}
		.ssdsos-wrp button {
			color: #ffffff;
			background-color: <?php echo esc_attr( $ssd_theme_color ); ?>;
		}
		.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-1 a.ssd-page-active,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-2 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-3 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-4 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-5 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a.ssd-page-active,.ssdsos-wrp .ssd_load_more_btn button.template-3 {
			color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		}
		.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-4 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-5 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a.ssd-page-active:before,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a.ssd-page-active:after,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a.ssd-page-active,.ssdsos-wrp .ssd_load_more_btn button.template-3:before,.ssdsos-wrp .ssd_load_more_btn button.template-3:after {
			border-color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		}
		.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a.ssd-page-active:before,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-6 a.ssd-page-active:after
		{
			background-color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		}
		.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-1 a,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-2 a.ssd-page-active,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-3 a.ssd-page-active,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-4 a.ssd-page-active,.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-5 a.ssd-page-active {
			color: #ffffff !important;
			background-color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		}
		.ssdsos-wrp .ssd_paged .ssd-pgn-bar.template-1 a.ssd-page-active,.ssdsos-wrp .ssd_load_more_btn button.template-3 {
			background-color: transparent !important;
		}
		.ssdsos-wrp .ssd-dialog-popup-cover .flex-direction-nav a::before,.ssdsos-wrp .flex-direction-nav a::before {
			color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		}
		.ssdsos-wrp .ssd-feed-filter li.filter-all a:hover {
			background-color: #7d7d7d !important;
		}
		.ssdsos-wrp .ssd-feed-filter li.filter-all a.ssd_active-feed:hover {
			background-color: #7d7d7d !important;
		}
		.ssdsos-wrp .ssd-feed-filter li.filter-all a.ssd_active-feed {
			background-color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		}
		.ssdsos-wrp .ssdss_tmln:before,.ssdsos-wrp .ssdss_tmln .ssd-col-item .ssd-card:before {
			background-color: <?php echo esc_attr( $ssd_theme_color ); ?> !important;
		} 
		<?php
	}
	?>
	.ssdsos-wrp {
		<?php if ( '' !== $ssd_overlay_padding_bottom && $ssd_overlay_padding_bottom >= 0 ) { ?>
		padding-bottom:<?php echo esc_attr( $ssd_overlay_padding_bottom ); ?>px;
			<?php
		}
		if ( '' !== $ssd_overlay_padding_top && $ssd_overlay_padding_top >= 0 ) {
			?>
			padding-top:<?php echo esc_attr( $ssd_overlay_padding_top ); ?>px;
			<?php
		}
		if ( '' !== $ssd_overlay_padding_left && $ssd_overlay_padding_left >= 0 ) {
			?>
			padding-left:<?php echo esc_attr( $ssd_overlay_padding_left ); ?>px;
			<?php
		}
		if ( '' !== $ssd_overlay_padding_right && $ssd_overlay_padding_right >= 0 ) {
			?>
			padding-right:<?php echo esc_attr( $ssd_overlay_padding_right ); ?>px;
			<?php
		}
		if ( '' !== $ssd_overlay_bg_color ) {
			?>
			background: <?php echo esc_attr( $ssd_overlay_bg_color ); ?>;
			<?php
		}
		?>
		display: inline-block;

	}
	.ssdsos-wrp .ssd-card { 
		overflow: hidden;
		<?php if ( '' !== $ssd_card_background_color ) { ?>
			background-color:<?php echo esc_attr( $ssd_card_background_color ); ?>;
			<?php
		}
		if ( 'layout-4' !== $ssd_design_layout && '' !== $ssd_card_box_shadow ) {
			?>
			margin: 8px;
			box-shadow: <?php echo esc_attr( $ssd_card_box_hoffset ); ?>px <?php echo esc_attr( $ssd_card_box_voffset ); ?>px <?php echo esc_attr( $ssd_card_box_blur ); ?>px <?php echo esc_attr( $ssd_card_box_spread ); ?>px <?php echo esc_attr( $ssd_card_box_shadow ); ?>;
			<?php
		}
		if ( '' !== $ssd_card_border_radius ) {
			?>
				border-radius:<?php echo esc_attr( $ssd_card_border_radius ) . 'px'; ?>;
			<?php
		}
		if ( '' !== $ssd_card_border_top_width ) {
			?>
				border-top-width:<?php echo esc_attr( $ssd_card_border_top_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_card_border_top_type ) {
			?>
				border-top-style:<?php echo esc_attr( $ssd_card_border_top_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_card_border_top_color ) {
			?>
				border-top-color:<?php echo esc_attr( $ssd_card_border_top_color ); ?> !important;
			<?php
		}
		if ( '' !== $ssd_card_border_bottom_width ) {
			?>
				border-bottom-width:<?php echo esc_attr( $ssd_card_border_bottom_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_card_border_bottom_type ) {
			?>
				border-bottom-style:<?php echo esc_attr( $ssd_card_border_bottom_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_card_border_bottom_color ) {
			?>
				border-bottom-color:<?php echo esc_attr( $ssd_card_border_bottom_color ); ?> !important;
			<?php
		}
		if ( '' !== $ssd_card_border_left_width ) {
			?>
				border-left-width:<?php echo esc_attr( $ssd_card_border_left_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_card_border_left_type ) {
			?>
				border-left-style:<?php echo esc_attr( $ssd_card_border_left_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_card_border_left_color ) {
			?>
				border-left-color:<?php echo esc_attr( $ssd_card_border_left_color ); ?> !important;
			<?php
		}
		if ( '' !== $ssd_card_border_right_width ) {
			?>
				border-right-width:<?php echo esc_attr( $ssd_card_border_right_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_card_border_right_type ) {
			?>
				border-right-style:<?php echo esc_attr( $ssd_card_border_right_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_card_border_right_color ) {
			?>
				border-right-color:<?php echo esc_attr( $ssd_card_border_right_color ); ?> !important;
			<?php
		}
		?>
	}

	/* Style for title */
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-post-title,.ssdsos-wrp .ssd-post-title {
		<?php if ( '' !== $ssd_title_bg_color ) { ?>
			background-color:<?php echo esc_attr( $ssd_title_bg_color ); ?>;
			<?php
		}
		if ( $ssd_title_padding_top >= 0 ) {
			?>
			padding-top:<?php echo esc_attr( $ssd_title_padding_top ); ?>px;
			<?php
		}
		if ( $ssd_title_padding_bottom >= 0 ) {
			?>
			padding-bottom:<?php echo esc_attr( $ssd_title_padding_bottom ); ?>px;
			<?php
		}
		if ( 0 !== $ssd_title_margin_top && '' !== $ssd_title_margin_top ) {
			?>
			margin-top:<?php echo esc_attr( $ssd_title_margin_top ); ?>px;
			<?php
		}
		if ( 0 !== $ssd_title_margin_bottom && '' !== $ssd_title_margin_bottom ) {
			?>
			margin-bottom:<?php echo esc_attr( $ssd_title_margin_bottom ); ?>px;
			<?php
		}
		?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-post-title h4,.ssdsos-wrp .ssd-dialog-popup-cover .ssd-post-title a,.ssdsos-wrp .ssd-post-title h4,.ssdsos-wrp .ssd-post-title a {
		<?php if ( $ssd_title_font_size > 0 ) { ?>
			font-size:<?php echo esc_attr( $ssd_title_font_size ) . 'px'; ?>;
			<?php
		}
		if ( '' !== $ssd_title_color ) {
			?>
			color:<?php echo esc_attr( $ssd_title_color ); ?>;
			<?php
		}
		if ( '' !== $ssd_title_font_weight ) {
			?>
			font-weight:<?php echo esc_attr( $ssd_title_font_weight ); ?>;
			<?php
		}
		?>
	}
	.ssdsos-wrp .ssd-post-title a:hover h4,
	.ssdsos-wrp .ssd-post-title a:hover { <?php if ( '' !== $ssd_title_hover_color ) { ?>
		color:<?php echo esc_attr( $ssd_title_hover_color ); ?>;
		<?php } ?>
	}
	/* Style for content */
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-content-wrap p,
	.ssdsos-wrp .ssd-content-wrap p {
		<?php if ( $ssd_content_font_size > 0 ) { ?>
			font-size:<?php echo esc_attr( $ssd_content_font_size ) . 'px'; ?>;
			<?php
		}
		if ( '' !== $ssd_content_color ) {
			?>
			color:<?php echo esc_attr( $ssd_content_color ); ?>;
			<?php
		}
		if ( '' !== $ssd_content_bg_color ) {
			?>
			background-color:<?php echo esc_attr( $ssd_content_bg_color ); ?>;
				<?php
		}
		if ( $ssd_content_padding_top >= 0 ) {
			?>
			padding-top:<?php echo esc_attr( $ssd_content_padding_top ); ?>px;
			<?php
		}
		if ( $ssd_content_padding_bottom >= 0 ) {
			?>
			padding-bottom:<?php echo esc_attr( $ssd_content_padding_bottom ); ?>px;
			<?php
		}
		if ( 0 !== $ssd_content_margin_top && '' !== $ssd_content_margin_top ) {
			?>
			margin-top:<?php echo esc_attr( $ssd_content_margin_top ); ?>px;
			<?php
		}
		if ( 0 !== $ssd_content_margin_bottom && '' !== $ssd_content_margin_bottom ) {
			?>
			margin-bottom:<?php echo esc_attr( $ssd_content_margin_bottom ); ?>px;
			<?php
		}
		?>
	}
	.ssdsos-wrp .ssd-post-media.ssd_has_media,.ssdsos-wrp .ssd-post-media.ssd_no_media .display_on_media{
		<?php if ( 0 !== $ssd_image_margin_top && '' !== $ssd_image_margin_top && 'layout-4' !== $ssd_design_layout ) { ?>
			margin-top:<?php echo esc_attr( $ssd_image_margin_top ); ?>px;
			<?php
		}
		if ( 0 !== $ssd_image_margin_bottom && '' !== $ssd_image_margin_bottom && 'layout-4' !== $ssd_design_layout ) {
			?>
			margin-bottom:<?php echo esc_attr( $ssd_image_margin_bottom ); ?>px;
		<?php } ?>
		}
		.ssdsos-wrp .ssd-content-wrap a { <?php if ( '' !== $ssd_content_hover_color ) { ?>
			color:<?php echo esc_attr( $ssd_content_hover_color ); ?>;
		<?php } ?>
		}
		/* Style for author section */
		.ssdsos-wrp .ssd-author-detail{
		<?php if ( 0 !== $ssd_author_margin_top && '' !== $ssd_author_margin_top ) { ?>
			margin-top:<?php echo esc_attr( $ssd_author_margin_top ); ?>px;
			<?php
		}
		if ( 0 !== $ssd_author_margin_bottom && '' !== $ssd_author_margin_bottom ) {
			?>
			margin-bottom:<?php echo esc_attr( $ssd_author_margin_bottom ); ?>px;
			<?php
		}
		if ( $ssd_author_padding_top >= 0 ) {
			?>
			padding-top:<?php echo esc_attr( $ssd_author_padding_top ); ?>px;
			<?php
		}
		if ( $ssd_author_padding_bottom >= 0 ) {
			?>
			padding-bottom:<?php echo esc_attr( $ssd_author_padding_bottom ); ?>px;
			<?php
		}
		?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-author-detail .ssd-author-image,.ssdsos-wrp .ssd-dialog-popup-cover .ssd-author-detail .ssd-author-image img,.ssdsos-wrp .ssd-author-detail .ssd-author-image,
	.ssdsos-wrp .ssd-author-detail .ssd-author-image img { <?php if ( '' !== $ssd_author_border_radius && '' !== $ssd_author_border_radius_type ) { ?>
		border-radius:<?php echo esc_attr( $ssd_author_border_radius . $ssd_author_border_radius_type ); ?>;
		<?php } ?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-author-detail .ssd-author-name a.ssd-display-name,
	.ssdsos-wrp .ssd-author-detail .ssd-author-name a.ssd-display-name { <?php if ( '' !== $ssd_author_title_color ) { ?>
		color:<?php echo esc_attr( $ssd_author_title_color ); ?>;
		<?php } ?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-author-detail,
	.ssdsos-wrp .ssd-author-detail { <?php if ( '' !== $ssd_author_bg_color ) { ?>
		background-color:<?php echo esc_attr( $ssd_author_bg_color ); ?>;
		<?php } ?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-author-detail .ssd-author-name a.ssd-display-name:hover,
	.ssdsos-wrp .ssd-author-detail .ssd-author-name a.ssd-display-name:hover {<?php if ( '' !== $ssd_author_title_hover_color ) { ?>
		color:<?php echo esc_attr( $ssd_author_title_hover_color ); ?>;
		<?php } ?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-author-detail .ssd-author-name a.ssd-user-name,
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-posted-date,
	.ssdsos-wrp .ssd-author-detail .ssd-author-name a.ssd-user-name,
	.ssdsos-wrp .ssd-posted-date { 
		<?php if ( '' !== $ssd_author_meta_color ) { ?>
			color:<?php echo esc_attr( $ssd_author_meta_color ); ?>;
			<?php
		}
		?>
	}
	.ssdsos-wrp .ssd-card.ssd_center.ssd_bottom a.ssd-share-label::after { <?php if ( '' !== $ssd_icon_bg_color ) { ?>
		border-bottom-color:<?php echo esc_attr( $ssd_icon_bg_color ); ?> !important;
	<?php } ?>
	}
	.ssdsos-wrp .ssd-card.ssd_center.ssd_top a.ssd-share-label::after { <?php if ( '' !== $ssd_icon_bg_color ) { ?>
		border-top-color:<?php echo esc_attr( $ssd_icon_bg_color ); ?> !important;
		<?php } ?>
	}
	.ssdsos-wrp .ssdso-icn:not(.ssd_display_corner_icon) .ssd-share-label { <?php if ( '' !== $ssd_icon_bg_color ) { ?>
		background-color:<?php echo esc_attr( $ssd_icon_bg_color ); ?> !important;
		<?php } ?>
		<?php if ( '' !== $ssd_icon_color ) { ?>
			color:<?php echo esc_attr( $ssd_icon_color ); ?> !important;
		<?php } ?>
	}
	.ssdsos-wrp .ssd-card.ssd_left .ssdso-icn.ssd_display_corner_icon::after { <?php if ( '' !== $ssd_icon_bg_color ) { ?>
		border-left-color:<?php echo esc_attr( $ssd_icon_bg_color ); ?> !important;
		<?php
																			   }
																				?>
	}
	.ssdsos-wrp .ssd-card.ssd_right .ssdso-icn.ssd_display_corner_icon::after { <?php if ( '' !== $ssd_icon_bg_color ) { ?>
		border-right-color:<?php echo esc_attr( $ssd_icon_bg_color ); ?> !important;
		<?php } ?>
	}
	.ssdsos-wrp .ssdso-icn .ssd-share-label { <?php if ( '' !== $ssd_icon_color ) { ?>
		color:<?php echo esc_attr( $ssd_icon_color ); ?> !important;
		<?php } ?>
		<?php
		if ( 'icon' === $ssd_share_type ) {
			if ( '' !== $ssd_icon_border_radius && '' !== $ssd_icon_border_radius_type ) {
				?>
				border-radius:<?php echo esc_attr( $ssd_icon_border_radius . $ssd_icon_border_radius_type ); ?> !important;
				<?php
			}
		}
		?>
	}
	.ssdsos-wrp .ssdso-icn i { <?php if ( '' !== $ssd_icon_border_radius && '' !== $ssd_icon_border_radius_type ) { ?>
		border-radius:<?php echo esc_attr( $ssd_icon_border_radius . $ssd_icon_border_radius_type ); ?> !important;
		<?php } ?>
	}
	.ssdsos-wrp .ssdso-icn.ssd_text .ssd-share-label,
	.ssdsos-wrp .ssdso-icn.ssd_icon_text .ssd-share-label { <?php if ( '' !== $ssd_text_border_radius && '' !== $ssd_text_border_radius_type ) { ?>
		border-radius:<?php echo esc_attr( $ssd_text_border_radius . $ssd_text_border_radius_type ); ?>;
		<?php } ?>

	}
	.ssd-tmp-prv-mod .ssd-col-item.ssd-col .ssd-card .ssd-action-row {
	<?php
	$ssd_count_border_width = $ssd_count_border_right_width + $ssd_count_border_left_width;
	if ( '' !== $ssd_count_border_width && 0 !== $ssd_count_border_width ) {
		?>
			width: calc(100% - <?php echo ( 40 + esc_attr( $ssd_count_border_width ) ) . 'px'; ?>);
		<?php } ?>
	}


	.ssdsos-wrp .ssd-action-row {
		<?php if ( '' !== $ssd_count_bg_color ) { ?>
			background-color:<?php echo esc_attr( $ssd_count_bg_color ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_padding_top ) {
			?>
			padding-top:<?php echo esc_attr( $ssd_count_padding_top ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_padding_bottom ) {
			?>
			padding-bottom:<?php echo esc_attr( $ssd_count_padding_bottom ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_margin_top ) {
			?>
			margin-top:<?php echo esc_attr( $ssd_count_margin_top ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_margin_bottom ) {
			?>
			margin-bottom:<?php echo esc_attr( $ssd_count_margin_bottom ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_border_top_width ) {
			?>
			border-top-width:<?php echo esc_attr( $ssd_count_border_top_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_border_top_type ) {
			?>
			border-top-style:<?php echo esc_attr( $ssd_count_border_top_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_border_top_color ) {
			?>
			border-top-color:<?php echo esc_attr( $ssd_count_border_top_color ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_border_bottom_width ) {
			?>
			border-bottom-width:<?php echo esc_attr( $ssd_count_border_bottom_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_border_bottom_type ) {
			?>
			border-bottom-style:<?php echo esc_attr( $ssd_count_border_bottom_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_border_bottom_color ) {
			?>
			border-bottom-color:<?php echo esc_attr( $ssd_count_border_bottom_color ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_border_right_width ) {
			?>
			border-right-width:<?php echo esc_attr( $ssd_count_border_right_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_border_right_type ) {
			?>
			border-right-style:<?php echo esc_attr( $ssd_count_border_right_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_border_right_color ) {
			?>
			border-right-color:<?php echo esc_attr( $ssd_count_border_right_color ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_border_left_width ) {
			?>
			border-left-width:<?php echo esc_attr( $ssd_count_border_left_width ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_border_left_type ) {
			?>
			border-left-style:<?php echo esc_attr( $ssd_count_border_left_type ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_border_left_color ) {
			?>
			border-left-color:<?php echo esc_attr( $ssd_count_border_left_color ); ?>;
		<?php } ?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-share-button i,.ssdsos-wrp .ssd-dialog-popup-cover .ssd-content-meta-wrap,.ssdsos-wrp .ssd-dialog-popup-cover .ssd-content-meta-wrap i,.ssdsos-wrp .ssd-action-row i,.ssdsos-wrp .ssd-share-button i,.ssdsos-wrp .ssd-action-row .ssd-counts {
		<?php
		if ( '' !== $ssd_count_meta_color ) {
			?>
			color:<?php echo esc_attr( $ssd_count_meta_color ); ?>;<?php } ?>
			<?php
			if ( $ssd_content_font_size > 0 ) {
				?>
				font-size:<?php echo esc_attr( $ssd_content_font_size ) . 'px'; ?>;
				<?php
			}
			?>
		}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-cell-row {
		<?php
		if ( '' !== $ssd_count_bg_color ) {
			?>
			background-color:<?php echo esc_attr( $ssd_count_bg_color ); ?>;
			<?php
		}
		if ( '' !== $ssd_count_padding_top ) {
			?>
			padding-top:<?php echo esc_attr( $ssd_count_padding_top ); ?>px;
			<?php
		}
		if ( '' !== $ssd_count_padding_bottom ) {
			?>
			padding-bottom:<?php echo esc_attr( $ssd_count_padding_bottom ); ?>px;
		<?php } ?>
	}
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-content-meta-wrap:hover,
	.ssdsos-wrp .ssd-dialog-popup-cover .ssd-content-meta-wrap:hover i,
	.ssdsos-wrp .ssd-action-row a:hover i,
	.ssdsos-wrp .ssd-action-row a:hover .ssd-counts { <?php if ( '' !== $ssd_count_meta_hover_color ) { ?>
		color:<?php echo esc_attr( $ssd_count_meta_hover_color ); ?>;
		<?php } ?>
	}
	</style>
	<?php
	global $wpdb;
	$feed_posts_table = $wpdb->prefix . 'ssd_feed_posts';
	$feed_id          = array();
	if ( isset( $ssd_preview_data['feed_ids'] ) ) {
		$feed_id = $ssd_preview_data['feed_ids'];
	}
	$alls_feed_id = '';
	foreach ( $feed_id as $all_feed_id ) {
		$alls_feed_id .= $all_feed_id . ',';
	}
	$final_feed_id = substr( $alls_feed_id, 0, -1 );
	if ( ! $final_feed_id ) {
		echo '<h3>Please first save save layout.</h3>';
		die();
	}
	$ssd_order_by = 'ORDER BY post_date';
	if ( 'no_pagination' === $ssd_pagination_type ) {
		if ( '-1' == $total_number_of_posts ) {
			$max_number_of_posts_pre = 1000;
		} else {
			$max_number_of_posts_pre = $total_number_of_posts;
		}
	} else {
		$max_number_of_posts_pre = $no_of_posts_per_page;
	}
	if ( 'date' === $ssd_order_by ) {
		$ssd_order_by = 'ORDER BY post_date';
	} elseif ( 'social-media' === $ssd_order_by ) {
		$ssd_order_by = 'ORDER BY feed_type';
	} else {
		$ssd_order_by = 'ORDER BY rand()';
	}
	if ( 1 == $ssd_order ) {
		$order = 'ASC';
	} else {
		$order = 'DESC';
	}
	$cur_page    = ( isset( $_REQUEST['cur_page'] ) && sanitize_text_field( wp_unslash( $_REQUEST['cur_page'] ) ) > 0 ) ? sanitize_text_field( wp_unslash( $_REQUEST['cur_page'] ) ) : 1;
	$limit_start = 0;
	if ( '1' != $max_number_of_posts_pre ) {
		$limit_start = ( $cur_page - 1 ) * ( $no_of_posts_per_page );
	}

	$feeds_stream     = $wpdb->get_results( $wpdb->prepare( "SELECT  * FROM {$wpdb->prefix}ssd_feed_posts WHERE feed_id IN ( $final_feed_id ) $ssd_order_by $order LIMIT %d,%d", $limit_start, $max_number_of_posts_pre ) );
	$ssd_total_stream = $wpdb->get_var( $wpdb->prepare( "SELECT count(*) FROM {$wpdb->prefix}ssd_feed_posts WHERE feed_id IN ( $final_feed_id ) $ssd_order_by $order LIMIT %d,%d", $limit_start, $max_number_of_posts_pre ) );
	if ( $ssd_total_stream > $total_number_of_posts ) {
		$total_feeds = $total_number_of_posts;
	} else {
		$total_feeds = $ssd_total_stream;
	}
	if ( '-1' == $total_number_of_posts ) {
		$total_feeds = $ssd_total_stream;
	} else {
		$max_number_of_posts = $total_number_of_posts;
	}

	$feed_object = new SSDFeedsActions();
	$feed_object->init();
	$feed_live_status = array();
	$all_feeds        = $feed_object->ssd_get_all_feeds();
	if ( is_array( $all_feeds ) && ! empty( $all_feeds ) ) {
		foreach ( $all_feeds as $single_feed ) {
			if ( in_array( $single_feed->id, $ssd_preview_data['feed_ids'], true ) ) {
				$feeds_settings       = maybe_unserialize( $single_feed->feeds_settings );
				$all_feed_status_live = isset( $feeds_settings['feed_status_live'] ) ? $feeds_settings['feed_status_live'] : 'Live';
				if ( 'Live' === $all_feed_status_live ) {
					$feed_live_status[ $single_feed->id ] = isset( $feeds_settings['feed_status_live'] ) ? $feeds_settings['feed_status_live'] : 'Live';
				}
			}
		}
	}
	$pages_to_display_for_pagination = apply_filters( 'pages_to_display_for_pagination', 7, 10 );
	$pagination                      = '0';
	// Set pagination to yes.
	if ( ( 'paged' === $ssd_pagination_type || 'load_more_btn' === $ssd_pagination_type || 'load_onscroll_btn' === $ssd_pagination_type ) && $total_feeds > $no_of_posts_per_page && ( 'listing' === $layout || 'timeline' === $layout ) ) {
		$pagination = '1';
	}

	// Set pagination to 1000 to display all linked pages in pagination instead of 7.
	if ( 'load_more_btn' === $ssd_pagination_type || 'load_onscroll_btn' === $ssd_pagination_type ) {
		$pages_to_display_for_pagination = apply_filters( 'pages_to_display_for_pagination', 1000, 10 );
	}
	if ( is_array( $feeds_stream ) && ! empty( $feeds_stream ) ) {
		foreach ( $feeds_stream as $ssd_feeds ) {
			$feed_title_data[] = $ssd_feeds->feed_type;
		}
		if ( is_array( $feed_title_data ) && ! empty( $feed_title_data ) ) {
			$feed_title_array = array_unique( $feed_title_data );
		}
	}
	if ( ! empty( $ssd_stream_title ) || ! empty( $ssd_stream_subtitle ) ) {
		?>
	<div class="sstrm-hed-wrp">
		<?php if ( ! empty( $ssd_stream_title ) ) { ?>
			<div class="ssd-steam-title-wrap">
				<h1><?php echo esc_html( $ssd_stream_title ); ?></h1>
			</div>
		<?php } ?>
		<?php if ( ! empty( $ssd_stream_subtitle ) ) { ?>
			<div class="ssd-steam-sub-title-wrap">
				<h4><?php echo esc_html( $ssd_stream_subtitle ); ?></h4>
			</div>
		<?php } ?>
		
	</div>
	<?php } ?>
	<div class="ssdsos-wrp ssd-content">
	<?php
	$filter_class = '';
	
	if ( 'listing' === $layout && '1' == $ssd_display_filter ) {
		$filter_class = 'ssd-enable-filter';
		?>
			<div class="ssd-feed-filter">
				<ul>
					<li class="filter-all" data-cat="*">
						<a class="ssd_active-feed" href="javascript:void(0)"><?php esc_html_e( 'All', 'social-stream-designer' ); ?></a>
					</li>
					<?php
					if ( in_array( 'facebook', $feed_title_array, true ) ) {
						?>
						<li class="filter-facebook" data-cat="filter-facebook">
							<a title="<?php echo esc_html( 'Facebook' ); ?>" href="javascript:void(0)"><i class="fab fa-facebook-f"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'twitter', $feed_title_array, true ) ) {
						?>
						<li class="filter-twitter" data-cat="filter-twitter">
							<a title="<?php echo esc_html( 'Twitter' ); ?>" href="javascript:void(0)"><i class="fab fa-twitter"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'pinterest', $feed_title_array, true ) ) {
						?>
						<li class="filter-pinterest" data-cat="filter-pinterest">
							<a title="<?php echo esc_html( 'Pinterest' ); ?>" href="javascript:void(0)"><i class="fab fa-pinterest"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'instagram', $feed_title_array, true ) ) {
						?>
						<li class="filter-instagram" data-cat="filter-instagram">
							<a title="<?php echo esc_html( 'Instagram' ); ?>" href="javascript:void(0)"><i class="fab fa-instagram"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'flickr', $feed_title_array, true ) ) {
						?>
						<li class="filter-flickr" data-cat="filter-flickr">
							<a title="<?php echo esc_html( 'Flickr' ); ?>" href="javascript:void(0)"><i class="fab fa-flickr"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'vimeo', $feed_title_array, true ) ) {
						?>
						<li class="filter-vimeo" data-cat="filter-vimeo">
							<a title="<?php echo esc_html( 'Vimeo' ); ?>" href="javascript:void(0)"><i class="fab fa-vimeo"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'youtube', $feed_title_array, true ) ) {
						?>
						<li class="filter-youtube" data-cat="filter-youtube">
							<a title="<?php echo esc_html( 'YouTube' ); ?>" href="javascript:void(0)"><i class="fab fa-youtube"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'rss', $feed_title_array, true ) ) {
						?>
						<li class="filter-rss" data-cat="filter-rss">
							<a title="<?php echo esc_html( 'RSS' ); ?>" href="javascript:void(0)"><i class="fas fa-rss"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'dribbble', $feed_title_array, true ) ) {
						?>
						<li class="filter-dribbble" data-cat="filter-dribbble">
							<a title="<?php echo esc_html( 'Dribbble' ); ?>" href="javascript:void(0)"><i class="fab fa-dribbble"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'foursquare', $feed_title_array, true ) ) {
						?>
						<li class="filter-foursquare" data-cat="filter-foursquare">
							<a title="<?php echo esc_html( 'Foursquare' ); ?>" href="javascript:void(0)"><i class="fab fa-foursquare"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'tumblr', $feed_title_array, true ) ) {
						?>
						<li class="filter-tumblr" data-cat="filter-tumblr">
							<a title="<?php echo esc_html( 'Tumblr' ); ?>" href="javascript:void(0)"><i class="fab fa-tumblr"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'WordPress', $feed_title_array, true ) ) {
						?>
						<li class="filter-wordpress" data-cat="filter-wordpress">
							<a title="<?php echo esc_html( 'WordPress' ); ?>" href="javascript:void(0)"><i class="fab fa-wordpress-simple"></i></a>
						</li>
						<?php
					}
					if ( in_array( 'soundcloud', $feed_title_array, true ) ) {
						?>
						<li class="filter-soundcloud" data-cat="filter-soundcloud">
							<a title="<?php echo esc_html( 'Sound Cloud' ); ?>" href="javascript:void(0)"><i class="fab fa-soundcloud"></i></a>
						</li>
						<?php
					}
					?>
				</ul>
			</div>
			<?php
	}
		$style = '';
	if ( 'slider' === $layout && 'vertical' === $ssd_slider_direction ) {
		$ssd_slider_widthpx = $ssd_slider_width . 'px';
		$style              = "style = width:$ssd_slider_widthpx";
	}
	?>
		<div <?php echo esc_html( $style ); ?> class="ssd-wrapper-inner 
						<?php
						echo 'ssd_' . esc_attr( $ssd_pagination_type );
						if ( 'slider' === $layout ) {
							echo ' slickslider';
						}
						?>
		">
			<div id="ssd_social_stream_<?php echo esc_attr( $layout ); ?>" class="ssd-cnt-prnt ssd-row-padding slides 
													<?php
													echo esc_attr( 'ssd_social_stream_' . $layout );
													echo ' ';
													echo esc_attr( $filter_class );
													echo ' ';
													if ( 'timeline' === $layout ) {
														echo ' ssdss_tmln';
													}
													?>
				ssd_social_stream_<?php echo esc_attr( $ssd_grid_style ); ?>" >
					<?php
					if ( is_array( $feeds_stream ) && ! empty( $feeds_stream ) ) {
						foreach ( $feeds_stream as $ssd_feeds ) {
							foreach ( $feed_live_status as $key => $val ) {
								$new_ssd_feed_id = (int) $ssd_feeds->feed_id;
								if ( $key === $new_ssd_feed_id ) {
									$image = isset( $ssd_feeds->post_image ) ? $ssd_feeds->post_image : '';
									$video = isset( $ssd_feeds->post_video ) ? $ssd_feeds->post_video : '';
									if ( 1 == $ssd_display_feed_without_media ) {
										$feed_type_stream     = '';
										$ssd_link             = $ssd_feeds->post_link;
										$unique_id            = $ssd_feeds->unique_id;
										$image                = isset( $ssd_feeds->post_image ) ? $ssd_feeds->post_image : '';
										$video                = isset( $ssd_feeds->post_video ) ? $ssd_feeds->post_video : '';
										$url                  = $ssd_feeds->post_link;
										$ssd_title            = $ssd_feeds->post_title;
										$message              = $ssd_feeds->post_description;
										$message              = rtrim( $message );
										$message              = ltrim( $message );
										$feed_type            = $ssd_feeds->feed_type;
										$type_in              = $ssd_feeds->type_in;
										$user_image           = $ssd_feeds->post_user_image;
										$user_link            = $ssd_feeds->post_user_link;
										$user_name            = $ssd_feeds->post_user_name;
										$user_screen_name     = $ssd_feeds->post_user_screen_name;
										$user_screen_name     = ( isset( $user_screen_name ) && '' !== $user_screen_name ) ? '@' . $user_screen_name : '';
										$user_followers_count = '' !== $ssd_feeds->post_user_followers_count ? $ssd_feeds->post_user_followers_count : 0;
										$user_friends_count   = '' !== $ssd_feeds->post_user_friends_count ? $ssd_feeds->post_user_friends_count : 0;
										$comments_count       = '' !== $ssd_feeds->post_comment_count ? $ssd_feeds->post_comment_count : 0;
										$favorite_count       = '' !== $ssd_feeds->post_favorite_count ? $ssd_feeds->post_favorite_count : 0;
										$likes_count          = '' !== $ssd_feeds->post_likes_count ? $ssd_feeds->post_likes_count : 0;
										$dislike_count        = '' !== $ssd_feeds->post_dislikes_count ? $ssd_feeds->post_dislikes_count : 0;
										$plays_count          = '' !== $ssd_feeds->post_plays_count ? $ssd_feeds->post_plays_count : 0;
										$retweet_count        = '' !== $ssd_feeds->post_retweet_count ? $ssd_feeds->post_retweet_count : 0;
										$retweet_link         = $ssd_feeds->retweet_link;
										$favourite_link       = $ssd_feeds->favourite_link;
										$like_link            = $ssd_feeds->like_link;
										$play_link            = $ssd_feeds->play_link;
										$reply_to_link        = $ssd_feeds->reply_to_link;
										$retweet_link         = $ssd_feeds->retweet_link;
										$favourite_link       = $ssd_feeds->favourite_link;
										$like_link            = $ssd_feeds->like_link;
										$plays_link           = $ssd_feeds->play_link;
										$date_time            = $ssd_feeds->post_date;
										$date_time            = human_time_diff( strtotime( $date_time ), current_time( 'timestamp' ) ) . ' ago';
										if ( null == $ssd_feeds->post_date || '0000-00-00 00:00:00' == $ssd_feeds->post_date ) {
											$date_time = '';
										}
										$show_view_date                 = isset( $ssd_preview_data['ssd_view_date'] ) ? $ssd_preview_data['ssd_view_date'] : '';
										$ssd_content_limit              = isset( $ssd_preview_data['ssd_content_limit'] ) ? $ssd_preview_data['ssd_content_limit'] : '';
										$ssd_design_layout              = isset( $ssd_preview_data['ssd_design_layout'] ) ? $ssd_preview_data['ssd_design_layout'] : 'layout-1';
										$ssd_extra_class                = isset( $ssd_preview_data['ssd_card_extra_class'] ) ? $ssd_preview_data['ssd_card_extra_class'] : '';
										$ssd_social_share_type          = isset( $ssd_preview_data['ssd_social_share_type'] ) ? $ssd_preview_data['ssd_social_share_type'] : 'text';
										$ssd_display_image              = isset( $ssd_preview_data['ssd_display_image'] ) ? $ssd_preview_data['ssd_display_image'] : '';
										$ssd_display_corner_icon        = isset( $ssd_preview_data['ssd_display_corner_icon'] ) ? $ssd_preview_data['ssd_display_corner_icon'] : '0';
										$icon_position                  = isset( $ssd_preview_data['ssd_icon_position'] ) ? $ssd_preview_data['ssd_icon_position'] : 'top';
										$icon_alignment                 = isset( $ssd_preview_data['ssd_icon_alignment'] ) ? $ssd_preview_data['ssd_icon_alignment'] : 'left';
										$ssd_display_sticky             = isset( $ssd_preview_data['ssd_display_sticky'] ) ? $ssd_preview_data['ssd_display_sticky'] : '1';
										$ssd_display_sticky_on          = isset( $ssd_preview_data['ssd_display_sticky_on'] ) ? $ssd_preview_data['ssd_display_sticky_on'] : 'media';
										$ssd_display_content            = isset( $ssd_preview_data['ssd_display_content'] ) ? $ssd_preview_data['ssd_display_content'] : '1';
										$ssd_display_title              = isset( $ssd_preview_data['ssd_display_title'] ) ? $ssd_preview_data['ssd_display_title'] : '1';
										$ssd_display_social_icon        = isset( $ssd_preview_data['ssd_display_social_icon'] ) ? $ssd_preview_data['ssd_display_social_icon'] : '1';
										$view_popup_on_content_click    = isset( $ssd_preview_data['ssd_popup_view_on_content_click'] ) ? $ssd_preview_data['ssd_popup_view_on_content_click'] : '0';
										$view_share_with                = isset( $ssd_preview_data['ssd_display_share_with'] ) ? $ssd_preview_data['ssd_display_share_with'] : '';
										$ssd_layout                     = isset( $ssd_preview_data['ssd_layout'] ) ? $ssd_preview_data['ssd_layout'] : '';
										$ssd_popup_layout               = isset( $ssd_preview_data['ssd_popup_layout'] ) ? $ssd_preview_data['ssd_popup_layout'] : '';
										$ssd_display_author_box         = isset( $ssd_preview_data['ssd_display_author_box'] ) ? $ssd_preview_data['ssd_display_author_box'] : '0';
										$ssd_display_feed_without_media = isset( $ssd_preview_data['ssd_display_feed_without_media'] ) ? $ssd_preview_data['ssd_display_feed_without_media'] : 1;
										$ssd_display_default_image      = isset( $ssd_preview_data['ssd_display_default_image'] ) && '' !== $ssd_preview_data['ssd_display_default_image'] ? $ssd_preview_data['ssd_display_default_image'] : 0;
										$ssd_default_image_src          = isset( $ssd_preview_data['ssd_default_image_src'] ) ? $ssd_preview_data['ssd_default_image_src'] : '';
										$ssd_display_content            = (int) $ssd_display_content;
										if ( '0' == $ssd_display_sticky && 'icon_text' === $ssd_social_share_type && 'right' === $icon_alignment ) {
											$ssd_icon_position_alignment = '';
										}
										$feed_table   = $wpdb->prefix . 'ssd_feeds';
										$result_feeds = $wpdb->get_results( $wpdb->prepare( "select * from $wpdb->prefix" . 'ssd_feeds where id = %d', $ssd_feeds->feed_id ) );
										$feed_setting = unserialize( $result_feeds[0]->feeds_settings );
										if ( 'tumblr' !== $feed_type && 'dribbble' !== $feed_type && 'pinterest' !== $feed_type && 'rss' !== $feed_type && 'foursquare' !== $feed_type && 'soundcloud' !== $feed_type ) {
											$feed_type_stream = $feed_setting[ 'feed_type_' . $feed_type ];
										}
										$ssd_social_order = get_option( 'ssd_social_order_' . $preview_data['ssd_edit_id'] );
										if ( '' == $ssd_social_order ) {
											$ssd_social_order = 'share-label,media,title,content,author,count,';
										}
										$ssd_social_order = explode( ',', $ssd_social_order );
										array_pop( $ssd_social_order );

										$ssd_load_more_effect = '';
										if ( ( 'listing' === $ssd_layout || 'timeline' === $ssd_layout ) && ( 'no_pagination' !== $ssd_pagination_type ) ) {
											$ssd_load_more_effect = isset( $ssd_preview_data['ssd_load_more_effect'] ) ? $ssd_preview_data['ssd_load_more_effect'] : 'fadein';
										}

										$column_type               = 'slider' === $ssd_layout ? 12 : $ssd_preview_data['ssd_column_type'];
										$display_image_class       = '';
										$display_on_media_class    = '';
										$display_corner_icon_class = '';
										$display_on_author_class   = '';

										if ( 'icon' === $ssd_social_share_type && '1' == $ssd_display_image ) {
											$display_image_class = 'ssddimg';
										}
										if ( 'icon' === $ssd_social_share_type && '1' == $ssd_display_corner_icon && '-1' != $ssd_display_image ) {
											$display_corner_icon_class = 'ssd_display_corner_icon';
										}
										if ( '1' == $ssd_display_sticky ) {
											if ( 'media' === $ssd_display_sticky_on ) {
												$display_on_media_class = 'display_on_media';
											}
											if ( 'author' === $ssd_display_sticky_on ) {
												$display_on_author_class = 'display_on_author';
											}
										}
										$ssd_icon_position_alignment = ' ssd_' . $icon_position . ' ssd_' . $icon_alignment;
										$social_cover_class          = 'ssd_' . $ssd_social_share_type . ' ' . $feed_type . ' ' . $display_image_class . ' ' . $display_corner_icon_class . ' ' . $display_on_media_class . ' ' . $display_on_author_class;

										$style_horizontal_slide = '';
										if ( 'slider' === $layout && 'horizontal' === $ssd_slider_direction ) {

											$style_horizontal_slide = 'ssd-horizontal-slider-apply';
										}
										if ( '' != $image || '' != $video || ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on ) || '' != $ssd_default_image_src ) {
											$card_class = 'ssd_not_card_media';
											if ( '' !== $image || '' !== $video || '' !== $ssd_default_image_src ) {
												$card_class = 'ssd_has_card_media';
											}
										} else {
											$card_class = 'ssd_not_card_media';
										}
										
										?>
									<div class="ssd-col-item ssd-container ssd-col filter-<?php echo esc_attr( $feed_type ); ?> <?php
									if ( 'timeline' !== $ssd_layout ) {
										echo esc_attr( 'l' . $column_type );
									} else {
										echo 'l2';
									}
									?>
										<?php echo esc_attr( $ssd_design_layout . ' ' . $ssd_extra_class . ' ssd-' . $ssd_social_share_type . ' ' . $ssd_load_more_effect . ' ' . $style_horizontal_slide ); ?>" >
										<?php if ( 'timeline' === $ssd_layout ) { ?>
											<div class="ssd-time">
													<?php if ( '' !== $date_time && '1' == $show_view_date ) { ?>
													<div class="ssd-posted-date"><?php echo esc_html( $date_time ); ?></div>
																							<?php
													}
													?>
											</div>
													<?php
												}
												?>
										<div class="ssd-card <?php echo esc_attr( $feed_type . ' ' . $ssd_icon_position_alignment . ' ' . $card_class . ' ' . $display_corner_icon_class ); ?>">
											<?php
											$ssd_content = '';
											if ( $view_popup_on_content_click ) {
												
												if ( '' !== $message && 1 == $ssd_display_content ) {
												
													if ( '' === $ssd_content_limit ) {
														$ssd_content = $message;
													} elseif ( $ssd_content_limit > 0 ) {
														$ssd_content = wp_trim_words( $message, $ssd_content_limit, '...' );
													}
												}
												?>
												<div class="ssd-popup-wrapper"
													data-index="<?php echo ''; ?>"
													data-id="<?php echo ''; ?>"
													data-layout="<?php echo esc_attr( $ssd_popup_layout ); ?>"
													data-usersimage="<?php echo esc_url( $user_image ); ?>"
													data-username="<?php echo esc_attr( $user_name ); ?>"
													data-userscreenname="<?php echo esc_attr( $user_screen_name ); ?>"
													data-userslink="<?php echo esc_url( $user_link ); ?>"
													data-feedtype="<?php echo esc_attr( $feed_type ); ?>"
													data-feedstreamtype="<?php echo esc_attr( $feed_type_stream ); ?>"
													data-title='<?php echo esc_attr( $ssd_title ); ?>'
													data-content='<?php echo esc_url( $ssd_content ); ?>'
													data-posturl="<?php echo esc_url( $ssd_link ); ?>"
													data-mediatype="<?php echo esc_attr( $type_in ); ?>"
													data-imagepath="<?php echo esc_url( $image ); ?>"
													data-videopath="<?php echo esc_url( $video ); ?>"
													data-viewdefaultimage="<?php echo esc_url( $ssd_display_default_image ); ?>"
													data-defaultimage="<?php echo esc_url( $ssd_default_image_src ); ?>"
													data-datetime='<?php echo esc_attr( $date_time ); ?>'
													data-retweet='<?php echo esc_attr( $retweet_count ); ?>'
													data-retweetlink='<?php echo esc_url( $retweet_link ); ?>'
													data-replylink='<?php echo esc_url( $reply_to_link ); ?>'
													data-likes='<?php echo esc_attr( $likes_count ); ?>'
													data-likeslink='<?php echo esc_url( $like_link ); ?>'
													data-dislike='<?php echo esc_attr( $dislike_count ); ?>'
													data-dislikelink='<?php echo esc_url( $ssd_link ); ?>'
													data-comments='<?php echo esc_attr( $comments_count ); ?>'
													data-commentslink='<?php echo esc_url( $ssd_link ); ?>'
													data-favorite='<?php echo esc_attr( $favorite_count ); ?>'
													data-plays='<?php echo esc_attr( $plays_count ); ?>'
													data-playslink='<?php echo esc_url( $plays_link ); ?>'
													data-viewsharewith='<?php echo esc_attr( $view_share_with ); ?>'
													>
													<?php
											}
											if ( 'layout-4' !== $ssd_design_layout ) {
												if ( 'icon' === $ssd_social_share_type && 'top' === $icon_position && '1' == $ssd_display_corner_icon && '1' == $ssd_display_social_icon ) {
													Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
												}
												if ( 'icon' === $ssd_social_share_type && 'top' === $icon_position && '0' == $ssd_display_corner_icon && '0' == $ssd_display_sticky ) {
													Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
												}
											}
											if ( 'layout-4' === $ssd_design_layout ) {
												if ( '' !== $image || '' !== $video || '' !== $ssd_default_image_src ) {
													if ( '' !== $image || '' !== $video ) {
														$media_class = 'ssd_has_media';
													} else {
														$media_class = 'ssd_no_media';
													}
													?>
													<div class="ssd-post-media <?php echo esc_attr( $media_class ); ?>">
														<?php
														Social_Stream_Main::ssd_media_type( $type_in, $feed_type, $feed_type_stream, $ssd_link, $image, $video, $ssd_display_default_image, $ssd_default_image_src, $ssd_design_layout, $ssd_title );
														if ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on && '1' == $ssd_display_social_icon ) {
															Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
														}
														?>
													</div>
													<?php
												}
												?>
												<div class="ssd_overlay_div">
													<?php
													if ( 'icon' === $ssd_social_share_type && 'top' === $icon_position && '1' == $ssd_display_corner_icon && '1' == $ssd_display_social_icon ) {
														Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
													}
											}
											$c_ssd_social_order = count( $ssd_social_order );
											for ( $i = 0; $i < $c_ssd_social_order; $i++ ) {
												if ( 'title' === $ssd_social_order[ $i ] ) {
													if ( 1 == $ssd_display_title && '' !== $ssd_title ) {
														?>
															<div class="ssd-post-title">
															<?php
															if ( 1 == $ssd_display_title_link ) {
																?>
																<a target="_blank" href="<?php echo esc_url( $ssd_link ); ?>"><?php } ?><h4><?php echo esc_html( $ssd_title ); ?></h4>
																<?php
																if ( 1 == $ssd_display_title_link ) {
																	?>
																</a><?php } ?>
															</div>
															<?php
													}
												}

												if ( 'content' === $ssd_social_order[ $i ] ) {
													$ssd_content = '';
													if ( '' !== $message && 1 == $ssd_display_content ) {
														
														if ( '' == $ssd_content_limit ) {
															$ssd_content = $message;
														} elseif ( $ssd_content_limit > 0 ) {
															$ssd_content = wp_trim_words( $message, $ssd_content_limit, '...' );
														}
														?>
															<div class="ssd-panel ssd-content-wrap">
															<?php
															if ( 'foursquare' !== $feed_type ) {
																?>
																	<?php if ( ! empty( $ssd_content ) ) { ?>
																			<p><?php echo esc_html( $ssd_content ); ?></p>
																		<?php } ?>
																				<?php
															} else {
																?>
																		<p><a href="<?php echo esc_url( $ssd_link ); ?>" target="_blank" ><?php echo esc_html( $ssd_content ); ?></a></p>
																<?php
															}
															?>
															</div>
															<?php
													}
												}
												if ( 'social-share' === $ssd_social_order[ $i ] ) {

													if ( '1' == $ssd_display_social_icon && 'icon' !== $ssd_social_share_type && '1' != $ssd_display_corner_icon && '1' != $ssd_display_sticky ) {
														Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
													}
												}

												if ( 'layout-4' !== $ssd_design_layout ) {
													if ( 'media' === $ssd_social_order[ $i ] ) {
														if ( '' !== $image || '' !== $video || ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on ) || '' != $ssd_default_image_src ) {
															if ( '' !== $image || '' !== $video || '' !== $ssd_default_image_src ) {
																$media_class = 'ssd_has_media';
															} else {
																$media_class = 'ssd_no_media';
															}
															?>
																<div class="ssd-post-media <?php echo esc_attr( $media_class ); ?>">
																	<?php
																	Social_Stream_Main::ssd_media_type( $type_in, $feed_type, $feed_type_stream, $ssd_link, $image, $video, $ssd_display_default_image, $ssd_default_image_src, $ssd_design_layout, $ssd_title );
																	if ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on && '1' == $ssd_display_social_icon ) {
																		Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
																	}
																	?>
																</div>
																<?php
														}
														if ( ( 'layout-2' === $ssd_design_layout && '1' == $ssd_display_sticky ) || 'layout-3' === $ssd_design_layout ) {
															if ( '1' == $ssd_display_author_box ) {
																Social_Stream_Main::ssd_author_data( $social_cover_class, $ssd_preview_data, $ssd_feeds );
															}
														}
													}
												}

												if ( isset( $ssd_social_order[ $i ] ) && 'author' === $ssd_social_order[ $i ] && ( 'layout-1' === $ssd_design_layout || 'layout-4' === $ssd_design_layout ) ) {
													if ( '1' == $ssd_display_author_box ) {
														Social_Stream_Main::ssd_author_data( $social_cover_class, $ssd_preview_data, $ssd_feeds );
													}
												}

												if ( isset( $ssd_social_order[ $i ] ) && 'count' === $ssd_social_order[ $i ] && 1 == $ssd_display_meta ) {
													Social_Stream_Main::ssd_social_share_count( $ssd_preview_data, $ssd_feeds );
												}
											}
											if ( '1' == $ssd_display_social_icon && '1' == $ssd_display_corner_icon && 'icon' === $ssd_social_share_type && 'top' !== $icon_position ) {
												Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
											}
											if ( 'layout-4' === $ssd_design_layout ) {
												?>
												</div>
												<?php
											}
											if ( $view_popup_on_content_click ) {
												?>
													</div>
													<?php
											}
											?>
										</div>
									</div> 
										<?php
									} else {
										if ( '' !== $image || '' !== $video ) {
												$feed_type_stream     = '';
												$ssd_link             = $ssd_feeds->post_link;
												$unique_id            = $ssd_feeds->unique_id;
												$image                = isset( $ssd_feeds->post_image ) ? $ssd_feeds->post_image : '';
												$video                = isset( $ssd_feeds->post_video ) ? $ssd_feeds->post_video : '';
												$url                  = $ssd_feeds->post_link;
												$ssd_title            = $ssd_feeds->post_title;
												$message              = $ssd_feeds->post_description;
												$message              = rtrim( $message );
												$message              = ltrim( $message );
												$feed_type            = $ssd_feeds->feed_type;
												$type_in              = $ssd_feeds->type_in;
												$user_image           = $ssd_feeds->post_user_image;
												$user_link            = $ssd_feeds->post_user_link;
												$user_name            = $ssd_feeds->post_user_name;
												$user_screen_name     = $ssd_feeds->post_user_screen_name;
												$user_screen_name     = ( isset( $user_screen_name ) && '' !== $user_screen_name ) ? '@' . $user_screen_name : '';
												$user_followers_count = '' !== $ssd_feeds->post_user_followers_count ? $ssd_feeds->post_user_followers_count : 0;
												$user_friends_count   = '' !== $ssd_feeds->post_user_friends_count ? $ssd_feeds->post_user_friends_count : 0;
												$comments_count       = '' !== $ssd_feeds->post_comment_count ? $ssd_feeds->post_comment_count : 0;
												$favorite_count       = '' !== $ssd_feeds->post_favorite_count ? $ssd_feeds->post_favorite_count : 0;
												$likes_count          = '' !== $ssd_feeds->post_likes_count ? $ssd_feeds->post_likes_count : 0;
												$dislike_count        = '' !== $ssd_feeds->post_dislikes_count ? $ssd_feeds->post_dislikes_count : 0;
												$plays_count          = '' !== $ssd_feeds->post_plays_count ? $ssd_feeds->post_plays_count : 0;
												$retweet_count        = '' !== $ssd_feeds->post_retweet_count ? $ssd_feeds->post_retweet_count : 0;
												$retweet_link         = $ssd_feeds->retweet_link;
												$favourite_link       = $ssd_feeds->favourite_link;
												$like_link            = $ssd_feeds->like_link;
												$play_link            = $ssd_feeds->play_link;
												$reply_to_link        = $ssd_feeds->reply_to_link;
												$retweet_link         = $ssd_feeds->retweet_link;
												$favourite_link       = $ssd_feeds->favourite_link;
												$like_link            = $ssd_feeds->like_link;
												$plays_link           = $ssd_feeds->play_link;
												$date_time            = $ssd_feeds->post_date;
												$date_time            = human_time_diff( strtotime( $date_time ), current_time( 'timestamp' ) ) . ' ago';
											if ( null == $ssd_feeds->post_date || '0000-00-00 00:00:00' == $ssd_feeds->post_date ) {
												$date_time = '';
											}
												$show_view_date                 = isset( $ssd_preview_data['ssd_view_date'] ) ? $ssd_preview_data['ssd_view_date'] : '';
												$ssd_content_limit              = isset( $ssd_preview_data['ssd_content_limit'] ) ? $ssd_preview_data['ssd_content_limit'] : '';
												$ssd_design_layout              = isset( $ssd_preview_data['ssd_design_layout'] ) ? $ssd_preview_data['ssd_design_layout'] : 'layout-1';
												$ssd_extra_class                = isset( $ssd_preview_data['ssd_card_extra_class'] ) ? $ssd_preview_data['ssd_card_extra_class'] : '';
												$ssd_social_share_type          = isset( $ssd_preview_data['ssd_social_share_type'] ) ? $ssd_preview_data['ssd_social_share_type'] : 'text';
												$ssd_display_image              = isset( $ssd_preview_data['ssd_display_image'] ) ? $ssd_preview_data['ssd_display_image'] : '';
												$ssd_display_corner_icon        = isset( $ssd_preview_data['ssd_display_corner_icon'] ) ? $ssd_preview_data['ssd_display_corner_icon'] : '0';
												$icon_position                  = isset( $ssd_preview_data['ssd_icon_position'] ) ? $ssd_preview_data['ssd_icon_position'] : 'top';
												$icon_alignment                 = isset( $ssd_preview_data['ssd_icon_alignment'] ) ? $ssd_preview_data['ssd_icon_alignment'] : 'left';
												$ssd_display_sticky             = isset( $ssd_preview_data['ssd_display_sticky'] ) ? $ssd_preview_data['ssd_display_sticky'] : '1';
												$ssd_display_sticky_on          = isset( $ssd_preview_data['ssd_display_sticky_on'] ) ? $ssd_preview_data['ssd_display_sticky_on'] : 'media';
												$ssd_display_content            = isset( $ssd_preview_data['ssd_display_content'] ) ? $ssd_preview_data['ssd_display_content'] : '1';
												$ssd_display_title              = isset( $ssd_preview_data['ssd_display_title'] ) ? $ssd_preview_data['ssd_display_title'] : '1';
												$ssd_display_social_icon        = isset( $ssd_preview_data['ssd_display_social_icon'] ) ? $ssd_preview_data['ssd_display_social_icon'] : '1';
												$view_popup_on_content_click    = isset( $ssd_preview_data['ssd_popup_view_on_content_click'] ) ? $ssd_preview_data['ssd_popup_view_on_content_click'] : '0';
												$view_share_with                = isset( $ssd_preview_data['ssd_display_share_with'] ) ? $ssd_preview_data['ssd_display_share_with'] : '';
												$ssd_layout                     = isset( $ssd_preview_data['ssd_layout'] ) ? $ssd_preview_data['ssd_layout'] : '';
												$ssd_popup_layout               = isset( $ssd_preview_data['ssd_popup_layout'] ) ? $ssd_preview_data['ssd_popup_layout'] : '';
												$ssd_display_author_box         = isset( $ssd_preview_data['ssd_display_author_box'] ) ? $ssd_preview_data['ssd_display_author_box'] : '0';
												$ssd_display_feed_without_media = isset( $ssd_preview_data['ssd_display_feed_without_media'] ) ? $ssd_preview_data['ssd_display_feed_without_media'] : 1;
												$ssd_display_default_image      = isset( $ssd_preview_data['ssd_display_default_image'] ) && '' !== $ssd_preview_data['ssd_display_default_image'] ? $ssd_preview_data['ssd_display_default_image'] : 0;
												$ssd_default_image_src          = isset( $ssd_preview_data['ssd_default_image_src'] ) ? $ssd_preview_data['ssd_default_image_src'] : '';
												$ssd_display_title              = (int) $ssd_display_title;
												$ssd_display_social_icon        = (int) $ssd_display_social_icon;

											if ( '0' == $ssd_display_sticky && 'icon_text' === $ssd_social_share_type && 'right' === $icon_alignment ) {
												$ssd_icon_position_alignment = '';
											}
											$result_feeds = $wpdb->get_results( $wpdb->prepare( "select * from $wpdb->prefix" . 'ssd_feeds where id = %d', $ssd_feeds->feed_id ) );
											$feed_setting = unserialize( $result_feeds[0]->feeds_settings );
											if ( 'tumblr' !== $feed_type && 'dribbble' !== $feed_type && 'pinterest' !== $feed_type && 'rss' !== $feed_type && 'foursquare' !== $feed_type && 'soundcloud' !== $feed_type ) {
												$feed_type_stream = $feed_setting[ 'feed_type_' . $feed_type ];
											}
											$ssd_social_order = get_option( 'ssd_social_order_' . $preview_data['ssd_edit_id'] );
											if ( '' == $ssd_social_order ) {
												$ssd_social_order = 'share-label,media,title,content,author,count,';
											}
											$ssd_social_order = explode( ',', $ssd_social_order );
											array_pop( $ssd_social_order );

											$ssd_load_more_effect = '';
											if ( ( 'listing' === $ssd_layout || 'timeline' === $ssd_layout ) && ( 'no_pagination' !== $ssd_pagination_type ) ) {
												$ssd_load_more_effect = isset( $ssd_preview_data['ssd_load_more_effect'] ) ? $ssd_preview_data['ssd_load_more_effect'] : 'fadein';
											}

											$column_type               = 'slider' === $ssd_layout ? 12 : $ssd_preview_data['ssd_column_type'];
											$display_image_class       = '';
											$display_on_media_class    = '';
											$display_corner_icon_class = '';
											$display_on_author_class   = '';

											if ( 'icon' === $ssd_social_share_type && '1' == $ssd_display_image ) {
												$display_image_class = 'ssddimg';
											}
											if ( 'icon' === $ssd_social_share_type && '1' == $ssd_display_corner_icon && '1' != $ssd_display_image ) {
												$display_corner_icon_class = 'ssd_display_corner_icon';
											}
											if ( '1' == $ssd_display_sticky ) {
												if ( 'media' === $ssd_display_sticky_on ) {
													$display_on_media_class = 'display_on_media';
												}
												if ( 'author' === $ssd_display_sticky_on ) {
													$display_on_author_class = 'display_on_author';
												}
											}
											$ssd_icon_position_alignment = ' ssd_' . $icon_position . ' ssd_' . $icon_alignment;
											$social_cover_class          = 'ssd_' . $ssd_social_share_type . ' ' . $feed_type . ' ' . $display_image_class . ' ' . $display_corner_icon_class . ' ' . $display_on_media_class . ' ' . $display_on_author_class;

											$style_horizontal_slide = '';
											if ( 'slider' === $layout && 'horizontal' === $ssd_slider_direction ) {

												$style_horizontal_slide = 'ssd-horizontal-slider-apply';
											}
											if ( '' != $image || '' != $video || ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on ) || '' != $ssd_default_image_src ) {
												$card_class = 'ssd_not_card_media';
												if ( '' !== $image || '' !== $video || '' !== $ssd_default_image_src ) {
													$card_class = 'ssd_has_card_media';
												}
											} else {
												$card_class = 'ssd_not_card_media';
											}
											?>
									<div class="ssd-col-item ssd-container ssd-col filter-<?php echo esc_attr( $feed_type ); ?> <?php
									if ( 'timeline' !== $ssd_layout ) {
										echo 'l' . esc_attr( $column_type );
									} else {
										echo 'l2';
									}
									?>
											<?php echo esc_attr( $ssd_design_layout . ' ' . $ssd_extra_class . ' ssd-' . $ssd_social_share_type . ' ' . $ssd_load_more_effect . ' ' . $style_horizontal_slide ); ?>" >
													<?php if ( 'timeline' === $ssd_layout ) { ?>
												<div class="ssd-time">
														<?php if ( '' !== $date_time && '1' == $show_view_date ) { ?>
														<div class="ssd-posted-date"><?php echo esc_html( $date_time ); ?></div>
																								<?php
														}
														?>
												</div>
														<?php
													}
													?>
											<div class="ssd-card <?php echo esc_attr( $feed_type . ' ' . $ssd_icon_position_alignment . ' ' . $card_class . ' ' . $display_corner_icon_class ); ?>">
													<?php
													$ssd_content = '';
													if ( $view_popup_on_content_click ) {
														if ( '' !== $message && 1 == $ssd_display_content ) {
															
															if ( '' == $ssd_content_limit ) {
																$ssd_content = $message;
															} elseif ( $ssd_content_limit > 0 ) {
																$ssd_content = wp_trim_words( $message, $ssd_content_limit, '...' );
															}
														}
														?>
														<div class="ssd-popup-wrapper"
															data-index="<?php echo ''; ?>"
															data-id="<?php echo ''; ?>"
															data-layout="<?php echo esc_attr( $ssd_popup_layout ); ?>"
															data-usersimage="<?php echo esc_url( $user_image ); ?>"
															data-username="<?php echo esc_attr( $user_name ); ?>"
															data-userscreenname="<?php echo esc_attr( $user_screen_name ); ?>"
															data-userslink="<?php echo esc_url( $user_link ); ?>"
															data-feedtype="<?php echo esc_attr( $feed_type ); ?>"
															data-feedstreamtype="<?php echo esc_attr( $feed_type_stream ); ?>"
															data-title='<?php echo esc_attr( $ssd_title ); ?>'
															data-content='<?php echo esc_url( $ssd_content ); ?>'
															data-posturl="<?php echo esc_url( $ssd_link ); ?>"
															data-mediatype="<?php echo esc_attr( $type_in ); ?>"
															data-imagepath="<?php echo esc_url( $image ); ?>"
															data-videopath="<?php echo esc_url( $video ); ?>"
															data-viewdefaultimage="<?php echo esc_url( $ssd_display_default_image ); ?>"
															data-defaultimage="<?php echo esc_url( $ssd_default_image_src ); ?>"
															data-datetime='<?php echo esc_attr( $date_time ); ?>'
															data-retweet='<?php echo esc_attr( $retweet_count ); ?>'
															data-retweetlink='<?php echo esc_url( $retweet_link ); ?>'
															data-replylink='<?php echo esc_url( $reply_to_link ); ?>'
															data-likes='<?php echo esc_attr( $likes_count ); ?>'
															data-likeslink='<?php echo esc_url( $like_link ); ?>'
															data-dislike='<?php echo esc_attr( $dislike_count ); ?>'
															data-dislikelink='<?php echo esc_url( $ssd_link ); ?>'
															data-comments='<?php echo esc_attr( $comments_count ); ?>'
															data-commentslink='<?php echo esc_url( $ssd_link ); ?>'
															data-favorite='<?php echo esc_attr( $favorite_count ); ?>'
															data-plays='<?php echo esc_attr( $plays_count ); ?>'
															data-playslink='<?php echo esc_url( $plays_link ); ?>'
															data-viewsharewith='<?php echo esc_attr( $view_share_with ); ?>'
															>
															<?php
													}
													if ( 'layout-4' === $ssd_design_layout ) {
														if ( 'icon' === $ssd_social_share_type && 'top' === $icon_position && '1' == $ssd_display_corner_icon && '1' == $ssd_display_social_icon ) {
															Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
														}
														if ( 'icon' === $ssd_social_share_type && 'top' === $icon_position && '0' == $ssd_display_corner_icon && '0' == $ssd_display_sticky ) {
															Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
														}
													}
													if ( 'layout-4' === $ssd_design_layout ) {
														if ( '' !== $image || '' !== $video || '' !== $ssd_default_image_src ) {
															if ( '' !== $image || '' !== $video ) {
																$media_class = 'ssd_has_media';
															} else {
																$media_class = 'ssd_no_media';
															}
															?>
														<div class="ssd-post-media <?php echo esc_attr( $media_class ); ?>">
															<?php
															Social_Stream_Main::ssd_media_type( $type_in, $feed_type, $feed_type_stream, $ssd_link, $image, $video, $ssd_display_default_image, $ssd_default_image_src, $ssd_design_layout, $ssd_title );
															if ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on && '1' == $ssd_display_social_icon ) {
																Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
															}
															?>
														</div>
															<?php
														}
														?>
													<div class="ssd_overlay_div">
														<?php
														if ( 'icon' === $ssd_social_share_type && 'top' === $icon_position && '1' == $ssd_display_corner_icon && '1' == $ssd_display_social_icon ) {
															Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
														}
													}
																										$ssd_social_order_c = count( $ssd_social_order );
													for ( $i = 0; $i < $ssd_social_order_c; $i++ ) {
														if ( 'title' === $ssd_social_order[ $i ] ) {
															if ( 1 == $ssd_display_title && '' != $ssd_title ) {
																?>
																<div class="ssd-post-title">
																<?php
																if ( 1 == $ssd_display_title_link ) {
																	?>
																	<a target="_blank" href="<?php echo esc_url( $ssd_link ); ?>"><?php } ?><h4><?php echo esc_html( $ssd_title ); ?></h4>
																	<?php
																	if ( 1 == $ssd_display_title_link ) {
																		?>
																	</a><?php } ?>
																</div>
																	<?php
															}
														}

														if ( 'content' === $ssd_social_order[ $i ] ) {
															$ssd_content = '';
															if ( '' !== $message && 1 == $ssd_display_content ) {
																
																if ( '' === $ssd_content_limit ) {
																	$ssd_content = $message;
																} elseif ( $ssd_content_limit > 0 ) {
																	$ssd_content = wp_trim_words( $message, $ssd_content_limit, '...' );
																}
																?>
																<div class="ssd-panel ssd-content-wrap">
																<?php
																if ( 'foursquare' !== $feed_type ) {
																	?>
																		<?php if ( ! empty( $ssd_content ) ) { ?>
																				<p><?php echo esc_html( $ssd_content ); ?></p>
																			<?php } ?>
																					<?php
																} else {
																	?>
																			<p><a href="<?php echo esc_url( $ssd_link ); ?>" target="_blank" ><?php echo esc_html( $ssd_content ); ?></a></p>
																	<?php
																}
																?>
																</div>
																<?php
															}
														}
														if ( 'social-share' === $ssd_social_order[ $i ] ) {

															if ( '1' == $ssd_display_social_icon && 'icon' !== $ssd_social_share_type && '1' !== $ssd_display_corner_icon && '1' !== $ssd_display_sticky ) {
																Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
															}
														}

														if ( 'layout-4' !== $ssd_design_layout ) {
															if ( 'media' === $ssd_social_order[ $i ] ) {
																if ( '' !== $image || '' !== $video || ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on ) || '' !== $ssd_default_image_src ) {
																	if ( '' !== $image || '' !== $video || '' !== $ssd_default_image_src ) {
																		$media_class = 'ssd_has_media';
																	} else {
																		$media_class = 'ssd_no_media';
																	}
																	?>
																	<div class="ssd-post-media <?php echo esc_attr( $media_class ); ?>">
																		<?php
																		Social_Stream_Main::ssd_media_type( $type_in, $feed_type, $feed_type_stream, $ssd_link, $image, $video, $ssd_display_default_image, $ssd_default_image_src, $ssd_design_layout, $ssd_title );
																		if ( '1' == $ssd_display_sticky && 'media' === $ssd_display_sticky_on && '1' == $ssd_display_social_icon ) {
																			Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
																		}
																		?>
																	</div>
																		<?php
																}
																if ( ( 'layout-2' === $ssd_design_layout && '1' == $ssd_display_sticky ) || 'layout-3' === $ssd_design_layout ) {
																	if ( '1' == $ssd_display_author_box ) {
																		Social_Stream_Main::ssd_author_data( $social_cover_class, $ssd_preview_data, $ssd_feeds );
																	}
																}
															}
														}

														if ( isset( $ssd_social_order[ $i ] ) && 'author' === $ssd_social_order[ $i ] && ( 'layout-1' === $ssd_design_layout || 'layout-4' === $ssd_design_layout ) ) {
															if ( '1' == $ssd_display_author_box ) {
																Social_Stream_Main::ssd_author_data( $social_cover_class, $ssd_preview_data, $ssd_feeds );
															}
														}

														if ( isset( $ssd_social_order[ $i ] ) && 'count' === $ssd_social_order[ $i ] && 1 == $ssd_display_meta ) {
															Social_Stream_Main::ssd_social_share_count( $ssd_preview_data, $ssd_feeds );
														}
													}
													if ( '1' == $ssd_display_social_icon && '1' == $ssd_display_corner_icon && 'icon' === $ssd_social_share_type && 'top' !== $icon_position ) {
														Social_Stream_Main::ssd_social_share_labels( $social_cover_class, $ssd_preview_data, $feed_type );
													}
													if ( 'layout-4' === $ssd_design_layout ) {
														?>
													</div>
														<?php
													}
													if ( $view_popup_on_content_click ) {
														?>
															</div>
															<?php
													}
													?>
											</div>
										</div>
												<?php
										}
									}
								}
							}
						}
					}
					?>
			</div>

			<?php
			// Display Pagination.
			if ( $no_of_posts_per_page < $ssd_total_stream ) {
				if ( is_array( $feeds_stream ) && ! empty( $feeds_stream ) && ( $total_number_of_posts > $no_of_posts_per_page || '-1 == $total_number_of_posts' ) ) {
					echo '<div class="ssd_pagination_wrap">';
					if ( '1' == $pagination ) {
						$cur_page_for_pagination = 0;
						if ( $cur_page > $pages_to_display_for_pagination ) {
							$cur_page_for_pagination = floor( $cur_page / $pages_to_display_for_pagination );
						}
						$total_pages_for_pagination = ceil( $total_feeds / $no_of_posts_per_page );
						$out_pagination             = Social_Stream_Main::ssd_get_feed_pagination( $ssd_preview_data, $total_pages_for_pagination, $cur_page, $cur_page_for_pagination, $pages_to_display_for_pagination );
						echo $out_pagination;
					}
					if ( ( 'load_more_btn' === $ssd_pagination_type ) && 'listing' === $layout ) {
						$ssd_pagination_layout = ( isset( $ssd_preview_data['ssd_load_more_layout'] ) && '' !== $ssd_preview_data['ssd_load_more_layout'] ) ? $ssd_preview_data['ssd_load_more_layout'] : 'template-1';
						?>
						<button class="ssd_social_stream_load_more_btn <?php echo esc_attr( $ssd_pagination_layout ); ?> ssd-button ssd-black ssd-margin-bottom"><?php esc_html_e( 'Load More', 'social-stream-designer' ); ?></button>
																					<?php
					}
					echo '</div>';
				}
			}
			?>
			<div class="ssd-prev-next">
				<?php
				if ( 1 == $ssd_display_slider_playpause && 'slider' === $layout ) {
					$class = 'ssd-play fa fa-play';
					if ( 1 == $ssd_display_autoplay ) {
						$class = 'ssd-pause fa fa-pause';
					}
					?>
					<i class="slick-arrow ssd-play-pause <?php echo esc_attr( $class ); ?>"></i>
				<?php } ?>
			</div>
		</div>
	</div>
	<?php
	if ( 'slider' === $layout ) {
		?>
		<script>
			jQuery('.ssd-cnt-prnt').imagesLoaded(function(){
			jQuery(".slickslider .ssd-cnt-prnt").slick({
			autoplay: <?php echo ( 1 == $ssd_display_autoplay ) ? 'true' : 'false'; ?>,
					autoplaySpeed: <?php echo esc_attr( $ssd_slider_interval ); ?>,
					rtl: false,
					arrows:<?php echo ( 1 == $ssd_display_slider_nav ) ? 'true' : 'false'; ?>,
					speed :<?php echo esc_attr( $ssd_slider_speed ); ?>,
					slidesPerRow: 1,
//					initialSlide: 2,
		<?php if ( 'vertical' === $ssd_slider_direction ) { ?>
				slidesToShow: <?php echo esc_attr( $ssd_column_type_vertical ); ?>,
						centerPadding: '0px',
						centerMode: true,
			<?php
		} else {
			?>
				rows : <?php echo esc_attr( $ssd_row_type ); ?>,
						slidesToShow: <?php echo esc_attr( $ssd_column_type ); ?>,
						responsive:[
						{breakpoint:1200,settings:{slidesToShow:<?php echo esc_attr( $ssd_column_type_laptop ); ?>}},
						{breakpoint:1024,settings:{slidesToShow:<?php echo esc_attr( $ssd_column_type_rotated_tablet ); ?>}},
						{breakpoint:767,settings:{slidesToShow:<?php echo esc_attr( $ssd_column_type_tablet ); ?>}},
						{breakpoint:480,settings:{slidesToShow:<?php echo esc_attr( $ssd_column_type_rotated_mobile ); ?>}},
						{breakpoint:380,settings:{slidesToShow:<?php echo esc_attr( $ssd_column_type_mobile ); ?>}},
						],
			<?php
		}
		?>
			slidesToScroll:1,
		<?php if ( 'vertical' === $ssd_slider_direction ) { ?>
				vertical:true,verticalSwiping:true,
	<?php } ?>
			adaptiveHeight:true,appendArrows:jQuery('.ssd-prev-next'),prevArrow:'<i class="fa fa-angle-left"></i>',nextArrow:'<i class="fa fa-angle-right"></i>'
			});
			}
			);
		</script>
		<script>jQuery('.ssd-cnt-prnt').imagesLoaded(function(){jQuery(".ssd-carousel-media > .slides").slick({autoplay: <?php echo ( 1 == $ssd_display_media_autoplay ) ? 'true' : 'false'; ?>,autoplaySpeed: <?php echo esc_attr( $ssd_slider_media_interval ); ?>,rtl: <?php echo ( is_rtl() ? 'true' : 'false' ); ?>,arrows: <?php echo ( 1 == $ssd_display_media_slider_arrows ) ? 'true' : 'false'; ?>,speed:<?php echo esc_attr( $ssd_slider_media_speed ); ?>,slidesPerRow:1,slidesToShow:1,slidesToScroll:1,adaptiveHeight:false,prevArrow:'<span class="prev-arrow"><i class="fa fa-angle-left"></i></span>',nextArrow:'<span class="next-arrow"><i class="fa fa-angle-right"></i></span>'})});</script>
		<?php
	}
}
?>
